#
# spec file for package samba (Version 3.0.20b)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# neededforbuild  ccache cracklib-devel cups-libs kerberos-devel-packages libacl libacl-devel libattr libattr-devel libxml2 libxml2-devel mysql-devel mysql-shared openafs-devel openldap2-client openldap2-devel openssl openssl-devel pam-devel popt popt-devel postgresql-devel postgresql-libs python python-devel readline readline-devel

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv less libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils ccache cracklib-devel cups-libs e2fsprogs-devel gcc gdbm gettext libtool libxml2 libxml2-devel mysql-devel mysql-shared openafs-devel openldap2-devel openssl-devel pam-devel perl popt-devel postgresql-devel postgresql-libs python python-devel readline-devel rpm

Name:           samba
%define	samba_ver 3.0.20b
%define	vscan_ver 0.3.6b
%define	ldapsmb_ver 1.33
License:        GNU General Public License (GPL)
Group:          Productivity/Networking/Samba
URL:            http://www.samba.org/
Autoreqprov:    on
Version:        3.0.20b
Release:        3.10
Provides:       sambaxp = %{version}-%{release} samba3 = %{version}-%{release}
Obsoletes:      samba-classic samba-ldap sambaxp samba3
Requires:       samba-client >= %{version}
Prereq:         /usr/sbin/groupadd /bin/cat /bin/cp /bin/mkdir /bin/mv /usr/bin/dirname /usr/bin/strings /usr/bin/grep /usr/bin/tr
Summary:        A SMB/ CIFS File Server
Source:         http://samba.org/samba/ftp/samba-%{version}.tar.bz2
Source1:        vendor-files.tar.bz2
Source2:        http://prdownloads.sourceforge.net/sourceforge/openantivirus/samba-vscan-%{vscan_ver}.tar.bz2
Source3:        http://www.hhrm.de/~gd/ldapsmb/ldapsmb-%{ldapsmb_ver}.tar.bz2
Source4:        build-source-timestamp
Source5:        patches.tar.bz2
# Choose some features / extra packages here
############################################
%define	make_devel 0
%define	use_ccache 0
%define  setup_common_opts -q
%if %{suse_version} > 820
%define	package_cupsbackend 1
%else
%define	package_cupsbackend 0
%endif
# requires: docbook-utils docbook-xsl-stylesheets docbook_4 freetype2 ghostscript-fonts-std ghostscript-library ghostscript-x11 libxslt sgml-skel te_etex te_latex te_pdf tetex xmlcharent
%define	make_doc 0
# jpmg 1->0
# %define	make_python 1
%define	make_python 0
%define	make_shared_mod 0
%define	make_utils 0
%define	make_vscan 1
# wrepld is badly broken, do not build it
%define	make_wrepld 0
# jpmg 1->0
# %define	make_ldapsmb 1
%define	make_ldapsmb 0
# requires: libxml2 libxml2-devel mysql-devel mysql-shared
# jpmg 1->0
# %define	make_pdb 1
%define	make_pdb 0
# requires: openafs openafs-client openafs-devel
# jpmg 1->0
#%define	make_kaserver 1
%define	make_kaserver 0
# Define some global directories
################################
%define	DOCDIR %{_defaultdocdir}/%{name}
%define	DOCBOOKDIR %{_defaultdocdir}/%{name}/docbook
%define	SWATDIR %{_datadir}/samba/swat
%define	LOGDIR %{_localstatedir}/log/samba
%define	LIBDIR %{_libdir}/samba
%define	LOCKDIR %{_localstatedir}/lib/samba
%define	CONFIGDIR %{_sysconfdir}/samba
%define	INITDIR %{_sysconfdir}/init.d
%define	PIDDIR %{_localstatedir}/run/samba
%define	SPOOLDIR %{_localstatedir}/spool/samba
%define	pdb_modules pdb_xml,pdb_mysql,pdb_ldap,pdb_smbpasswd,pdb_tdbsam,pdb_unix,pdb_guest,pdb_nisplussam
%define	rpc_modules rpc_lsa,rpc_samr,rpc_reg,rpc_wks,rpc_net,rpc_dfs,rpc_srv,rpc_spoolss
%define	auth_modules auth_rhosts,auth_sam,auth_unix,auth_winbind,auth_server,auth_domain,auth_builtin
%define	vfs_modules vfs_recycle,vfs_audit,vfs_extd_audit,vfs_netatalk,vfs_fake_perms
%define	idmap_modules idmap_winbind,idmap_ldap,idmap_tdb
%define	charset_modules charset_weird
%if %ul_version >= 1
%define	VENDOR UL
%else
%if "%{_vendor}" == "suse"
%define	VENDOR SUSE
%else
%define	VENDOR %_vendor
%endif
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{suse_version} < 921
%define symbols heimdal
%endif
%debug_package
%package client
Summary:        Samba Client Utilities
Group:          Productivity/Networking/Samba
Autoreqprov:    on
Provides:       smbclnt smbfs sambaxp-client = %{version}-%{release} samba3-client = %{version}-%{release}
Obsoletes:      smbclnt samba-classic-client samba-ldap-client sambaxp-client samba3-client
Prereq:         %insserv_prereq %fillup_prereq /usr/bin/strings /sbin/chkconfig /usr/bin/dirname
%if %{suse_version} > 920
Requires:       cifs-mount
%endif
%package doc
Summary:        Samba Documentation
Group:          Documentation/Other
Autoreqprov:    on
Provides:       samba3-doc = %{version}-%{release}
Obsoletes:      samba3-doc
Prereq:         /usr/bin/find /bin/rm /usr/bin/xargs
%if %{make_pdb}
%package pdb
Summary:        PDB-Modules
Group:          Productivity/Networking/Samba
Autoreqprov:    on
Provides:       samba3-pdb = %{version}-%{release}
Obsoletes:      samba3-pdb
%endif
%if %{make_python}
%package python
Summary:        Samba Python Modules
Group:          Productivity/Networking/Samba
Autoreqprov:    on
%define pyver %(python -c "import sys; print sys.version[:3]")
Provides:       samba3-python = %{version}-%{release}
Obsoletes:      samba3-python
Requires:       python >= %pyver, python < %pyver.99
%endif
%if %{make_utils}
%package utils
Summary:        debug tools
Group:          Productivity/Networking/Samba
Autoreqprov:    on
Provides:       samba3-utils = %{version}-%{release}
Obsoletes:      samba3-utils
%endif
%package winbind
Summary:        Winbind Daemon and Tool
Group:          Productivity/Networking/Samba
Autoreqprov:    on
Provides:       samba3-winbind = %{version}-%{release} samba-client:/usr/sbin/winbindd
Obsoletes:      samba3-winbind
Requires:       samba-client >= %{version}
%if %{make_wrepld}
%package wrepl
Summary:        Replication Daemon
Group:          Productivity/Networking/Samba
Autoreqprov:    on
Provides:       samba3-wrepl = %{version}-%{release}
Obsoletes:      samba3-wrepl
%endif
%package -n libsmbclient
Summary:        Samba Client Library
Group:          System/Libraries
Autoreqprov:    on
Provides:       libsmbclient3 = %{version}-%{release}
Obsoletes:      libsmbclient3
%package -n libsmbclient-devel
Summary:        Libraries and Header Files to Develop Programs with smbclient Support
Group:          Development/Libraries/C and C++
Autoreqprov:    on
Provides:       libsmbclient3-devel = %{version}-%{release}
Obsoletes:      libsmbclient3-devel
Requires:       libsmbclient >= %{version}
%if %{make_ldapsmb}
%package -n ldapsmb
Summary:        Tool to administer Samba's LDAP backend
Group:          Productivity/Networking/Samba
Autoreqprov:    on
Version:        1.33
Release:        6.10
Requires:       perl-ldap
%endif
%if %{suse_version} > 920
%package -n cifs-mount
Summary:        mount using the Common Internet File System (CIFS)
Group:          System/Filesystems
Autoreqprov:    on
%endif
%if %{make_vscan}
%package vscan
Summary:        On-Access Virus Scanning with Samba
Group:          Productivity/Networking/Samba
Autoreqprov:    on
Version:        0.3.6b
Release:        4.9
Provides:       samba3-vscan = 0.3.6b
Obsoletes:      samba3-vscan
Requires:       samba = %{samba_ver}
URL:            http://www.openantivirus.org/
%endif
%prep
%setup -n samba-%{samba_ver} %{setup_common_opts}
# untar ldapsmb
%if %{make_ldapsmb}
%setup -T -D -a 3 -n samba-%{samba_ver} %{setup_common_opts}
%endif
# PATCHES
%setup -T -D -a 5 -n samba-%{samba_ver} %{setup_common_opts}
for patch in $( patches/tools/guards %symbols <patches/series); do
	if ! patch -s -E -p0 --no-backup-if-mismatch -i patches/$patch; then
		echo "*** Patch $patch failed ***"
		exit 1
	fi
done
# untar vscan
%if %{make_vscan}
%setup -T -D -a 2 -n samba-%{samba_ver}/examples/VFS %{setup_common_opts}
pushd samba-vscan-%{vscan_ver}
for patch in $( ../../../patches/tools/guards <../../../patches/vscan/series); do
	if ! patch -s -E -p0 --no-backup-if-mismatch -i ${RPM_BUILD_DIR}/samba-%{samba_ver}/patches/$patch; then
		echo "*** Patch $patch failed ***"
		exit 1
	fi
done
popd
%endif
# untar my configs
%setup -T -D -a 1 -n samba-%{samba_ver} %{setup_common_opts}
sed -e "s/VENDOR/%{VENDOR}/g" docs/htmldocs/index.html >docs/htmldocs/index.html.new && \
	mv docs/htmldocs/index.html.new docs/htmldocs/index.html
# Create and add vendor suffix
test -f vendor-files/tools/package-data && \
	. vendor-files/tools/package-data
pushd source
vendor_tag=$( grep ^Release: ${RPM_SOURCE_DIR}/samba.spec | head -n 1 | while read tag release; do echo $release; done)
test "${vendor_tag}" && vendor_tag="${vendor_tag}-"
vendor_tag="${vendor_tag}${SAMBA_PACKAGE_SVN_VERSION:+${SAMBA_PACKAGE_SVN_VERSION}-}"
%if %{make_devel}
	vendor_tag="${vendor_tag}devel-"
%endif
mv VERSION VERSION.orig
sed -e s/^SAMBA_VERSION_VENDOR_SUFFIX=$/SAMBA_VERSION_VENDOR_SUFFIX=\"${vendor_tag}%{VENDOR}\"/ VERSION.orig >VERSION

%build samba-%{samba_ver}
%if %{suse_version} < 911
	OPTIMIZATION="-O"
%else
	# use the default optimization
	unset OPTIMIZATION
%endif
export CFLAGS="${RPM_OPT_FLAGS} -D_GNU_SOURCE ${OPTIMIZATION} -D_LARGEFILE64_SOURCE -DIDMAP_RID_SUPPORT_TRUSTED_DOMAINS"
%if %{make_devel}
# debugging symbols
export CFLAGS="${CFLAGS} -g"
%endif
%if %{use_ccache}
export CC="ccache gcc"
%endif
cd source
%{?suse_update_config:%{suse_update_config -f}}
autoreconf --force --install
CONFIGURE_OPTIONS="\
	--prefix=%{_prefix} \
	--sbindir=%{_sbindir} \
	--localstatedir=%{LOCKDIR} \
	--sysconfdir=%{CONFIGDIR} \
	--with-configdir=%{CONFIGDIR} \
	--with-libdir=%{LIBDIR} \
	--with-lockdir=%{LOCKDIR} \
	--with-logfilebase=%{LOGDIR} \
	--with-mandir=%{_mandir} \
	--enable-cups \
	--with-acl-support \
	--with-automount \
	--with-msdfs \
	--with-pam \
	--with-pam_smbpass \
	--with-piddir=%{PIDDIR} \
	--with-privatedir=%{CONFIGDIR} \
%if %{make_devel}
	--with-profiling-data \
%endif
	--with-quotas \
	--with-smbmount \
	--with-swatdir=%{SWATDIR} \
	--with-syslog \
	--with-tdbsam \
	--with-utmp \
	--with-vfs \
	--with-winbind \
	--with-shared-modules=idmap_rid,idmap_ad \
%if %{make_pdb}
	--with-expsam=xml,mysql,pgsql \
%endif
%if %{make_python}
	--with-python \
%endif
%if %{make_shared_mod}
	--with-shared-modules=%{pdb_modules},%{rpc_modules} \
%endif
%if %{make_devel}
	--enable-developer \
	--enable-krb5developer \
%endif
%if %{make_kaserver}
	--with-fake-kaserver=auto \
%endif
"
# make sure we have a chance to find krb5-config
export PATH="$PATH:/usr/lib/heimdal/bin:/usr/lib/mit/bin"
unset CONFIGURE_OPTIONS_DEVEL
%if %{make_devel}
CONFIGURE_OPTIONS_DEVEL="--enable-debug --enable-developer"
%endif
./configure ${CONFIGURE_OPTIONS} ${CONFIGURE_OPTIONS_DEVEL}
./script/mkversion.sh
%{__make} proto
%if %{suse_version} > 930
%{__make} pch
%endif
%{__make} %{?jobs:-j%jobs} \
	all \
	torture \
	wins \
	libsmbclient \
	everything \
	modules \
	talloctort \
	bin/smbget
# build fails
#	bin/editreg \
%{__make} %{?jobs:-j%jobs} -C tdb tdbdump tdbtest tdbtool tdbtorture
#%{__make} %{?jobs:-j%jobs} -C ../examples/LDAP/smbldap-tools/mkntpwd/
%if %{make_wrepld}
%{__make} %{?jobs:-j%jobs} bin/wrepld
%endif
# make examples in PDB
%{__make} -C ../examples/pdb
# make examples in VFS
pushd ../examples/VFS/
autoreconf --force --install
./configure ${CONFIGURE_OPTIONS} ${CONFIGURE_OPTIONS_DEVEL}
CFLAGS="$CFLAGS -fPIC" ./configure
%{__make} %{?jobs:-j%jobs}
%if %{make_vscan}
pushd samba-vscan-%{vscan_ver}/
%{?suse_update_config:%{suse_update_config -f}}
autoreconf --force --install
unset CONFIGURE_OPTIONS
%if %{suse_version} < 901
	CONFIGURE_OPTIONS="--without-filetype"
%endif
./configure ${CONFIGURE_OPTIONS} ${CONFIGURE_OPTIONS_DEVEL}
%{__make} %{?jobs:-j%jobs}
popd
%endif
popd
%if %{make_ldapsmb}
pushd ../ldapsmb-%{ldapsmb_ver}
./autogen.sh
%{__make} %{?jobs:-j%jobs}
%{__make} %{?jobs:-j%jobs} doc
popd
%endif
%if %{make_python}
%{__make} python_ext
%endif
export CFLAGS="${CFLAGS} -Wall"
gcc -DMOUNT_CIFS_VENDOR_SUFFIX=\"-%{VENDOR}\" client/mount.cifs.c -o client/mount.cifs
gcc -DUNMOUNT_CIFS_VENDOR_SUFFIX=\"-%{VENDOR}\" client/umount.cifs.c -o client/umount.cifs
# Run testsuite
cd ../testsuite/libsmbclient/src
make

%install
[ x"${RPM_BUILD_ROOT}" = x"/" ] && ( echo "your buildroot is /" && exit 0) || rm -rf "${RPM_BUILD_ROOT}"
%if %{make_devel}
	export NO_BRP_STRIP_DEBUG="true"
%endif
mkdir -p \
	${RPM_BUILD_ROOT}/%{DOCDIR} \
	${RPM_BUILD_ROOT}/%{DOCDIR}-vscan \
	${RPM_BUILD_ROOT}/%{DOCBOOKDIR} \
	${RPM_BUILD_ROOT}/%{_sysconfdir}/{pam.d,xinetd.d,logrotate.d} \
	${RPM_BUILD_ROOT}/%{_sysconfdir}/openldap/schema \
	${RPM_BUILD_ROOT}/%{_sysconfdir}/sysconfig/network/{if-up.d,scripts} \
	${RPM_BUILD_ROOT}/%{_sysconfdir}/slp.reg.d \
	${RPM_BUILD_ROOT}/%{CONFIGDIR} \
	${RPM_BUILD_ROOT}/%{INITDIR} \
	${RPM_BUILD_ROOT}/%{_lib}/security \
	${RPM_BUILD_ROOT}/sbin \
	${RPM_BUILD_ROOT}/%{_includedir} \
	${RPM_BUILD_ROOT}/%{_libdir}/python/lib-dynload \
	${RPM_BUILD_ROOT}/%{LIBDIR}/{config,vfs,pdb,rpc,auth,charset,idmap} \
	${RPM_BUILD_ROOT}/%{_mandir} \
	${RPM_BUILD_ROOT}/%{_datadir}/samba/LDAP \
	${RPM_BUILD_ROOT}/%{SWATDIR} \
	${RPM_BUILD_ROOT}/%{_datadir}/susehelp/meta/Administration/System \
	${RPM_BUILD_ROOT}/%{_bindir} \
	${RPM_BUILD_ROOT}/%{_sbindir} \
	${RPM_BUILD_ROOT}/%{_localstatedir}/adm \
	${RPM_BUILD_ROOT}/%{LOCKDIR}/{netlogon,drivers/{W32X86,WIN40,W32ALPHA,W32MIPS,W32PPC},printing,profiles} \
	${RPM_BUILD_ROOT}/%{LOGDIR} \
	${RPM_BUILD_ROOT}/%{PIDDIR} \
	${RPM_BUILD_ROOT}/%{SPOOLDIR} \
	${RPM_BUILD_ROOT}/%{_var}/adm/fillup-templates \
	${RPM_BUILD_ROOT}/%{_var}/lock/subsys
%{__make} -C source/ DESTDIR=${RPM_BUILD_ROOT} install \
	BINDIR=%{_bindir} \
	CONFIGFILE=%{CONFIGDIR}/smb.conf \
	DRIVERFILE=%{CONFIGDIR}/printers.def \
	LIBDIR=%_libdir/samba \
	LMHOSTSFILE=%{CONFIGDIR}/lmhosts \
	LOCKDIR=%{LOCKDIR} \
	LOGFILEBASE=%{LOGDIR} \
	MANDIR=%{_mandir} \
	SBINDIR=%{_sbindir} \
	SMB_PASSWD_FILE=%{CONFIGDIR}/smbpasswd \
	SWATDIR=%{SWATDIR}
%{__make} -C source/ DESTDIR=${RPM_BUILD_ROOT} installmodules \
	LIBDIR=%{_libdir}/samba
# utility scripts
scripts="creategroup mksmbpasswd.sh"
mkdir -p examples/scripts
for i in $scripts; do
	cp -p "source/script/${i}" examples/scripts
done
# configuration files
pushd vendor-files
echo "# smb.conf is the main Samba configuration file. You find a full commented" >config/smb.conf
echo "# version at %{DOCDIR}/examples/smb.conf.%{VENDOR} if the" >>config/smb.conf
echo "# samba-doc package is installed." >>config/smb.conf
echo "# Date: $( date -I)" >>config/smb.conf
grep -v "\(^#\|^;\|^$\)" config/smb.conf.vendor >>config/smb.conf
cp -p config/smb.conf.vendor ../examples/smb.conf.%{VENDOR}
for file in smb.conf lmhosts smbusers smbpasswd smbfstab smbusers; do
	cp -p "config/${file}" ${RPM_BUILD_ROOT}/%{CONFIGDIR}/
done
# start scripts
startScripts="smb nmb smbfs winbind"
%if %{make_wrepld}
	startScripts="${startScripts} wrepl"
%endif
for script in ${startScripts}; do
	cp -p "init/${script}" ${RPM_BUILD_ROOT}/%{INITDIR}/
	ln -sf "../../%{INITDIR}/${script}" "${RPM_BUILD_ROOT}/%{_sbindir}/rc${script}"
done
cp -p tools/nmbstatus ${RPM_BUILD_ROOT}/%{_bindir}/
pod2man tools/nmbstatus >${RPM_BUILD_ROOT}/%{_mandir}/man1/nmbstatus.1
# PDF generator
cp -p tools/smbprngenpdf ${RPM_BUILD_ROOT}/%{_bindir}/
touch ${RPM_BUILD_ROOT}/var/lock/subsys/smbfs
cp -p config/swat.xinetd ${RPM_BUILD_ROOT}/%{_sysconfdir}/xinetd.d/swat
cp -p config/samba.reg ${RPM_BUILD_ROOT}/%{_sysconfdir}/slp.reg.d/
%if %{suse_version} < 921
	cp -p config/samba.pamd ${RPM_BUILD_ROOT}/%{_sysconfdir}/pam.d/samba
%else
	cp -p config/samba.pamd-common ${RPM_BUILD_ROOT}/%{_sysconfdir}/pam.d/samba
%endif
cp -p config/dhcp.conf ${RPM_BUILD_ROOT}/%{_var}/adm/fillup-templates/samba-client-dhcp.conf
cp -p config/sysconfig.dhcp-samba-client ${RPM_BUILD_ROOT}/%{_var}/adm/fillup-templates/
cp -p tools/dhcpcd-hook-samba ${RPM_BUILD_ROOT}/%{_sysconfdir}/sysconfig/network/scripts
ln -s ../scripts/dhcpcd-hook-samba ${RPM_BUILD_ROOT}/%{_sysconfdir}/sysconfig/network/if-up.d/
# Add logrotate settings for nmbd and smbd only on systems newer than 8.1.
%if %{suse_version} < 811
	LOGROTATE_FILES="samba-winbind"
	rm -f "${RPM_BUILD_DIR}/samba-%{samba_ver}/filelist-samba"
	touch "${RPM_BUILD_DIR}/samba-%{samba_ver}/filelist-samba"
%else
	LOGROTATE_FILES="samba samba-winbind"
%endif
%if %{make_wrepld}
	LOGROTATE_FILES="${LOGROTATE_FILES} samba-wrepl"
%endif
for file in ${LOGROTATE_FILES}; do
	cp -p logrotate/${file} ${RPM_BUILD_ROOT}/%{_sysconfdir}/logrotate.d/${file}
	rm -f "${RPM_BUILD_DIR}/samba-%{samba_ver}/filelist-${file}"
	touch "${RPM_BUILD_DIR}/samba-%{samba_ver}/filelist-${file}"
	echo "%config(noreplace) %{_sysconfdir}/logrotate.d/${file}" >>${RPM_BUILD_DIR}/samba-%{samba_ver}/filelist-${file}
done
cp -p docu/README.vendor ${RPM_BUILD_ROOT}/%{DOCDIR}/README.%{VENDOR}
# SuSEhelp files
cp -p docu/Samba.desktop ${RPM_BUILD_ROOT}/%{_datadir}/susehelp/meta/Administration/System
cp -p docu/manpages.html ../docs/htmldocs
cp -p docu/welcome-no-samba-doc.html ${RPM_BUILD_ROOT}/%{SWATDIR}/help
# Update message handling
rm -f "${RPM_BUILD_DIR}/samba-%{samba_ver}/filelist-samba-client"
%if %{suse_version} < 911
	for file in "" /de /en; do
		echo "%dir %{_datadir}/update-messages${file}" >>"${RPM_BUILD_DIR}/samba-%{samba_ver}/filelist-samba-client"
	done
%else
	touch "${RPM_BUILD_DIR}/samba-%{samba_ver}/filelist-samba-client"
%endif
for file in $( ls update-messages/*); do
	PACKAGE_NAME=$( echo ${file#*/} | cut -f 1 -d '-')
	LANG=$( echo ${file#*/} | cut -f 2 -d '-')
	NUMBER=$( echo ${file#*/} | cut -f 3 -d '-')
	dir="%{_datadir}/update-messages/${LANG}"
	test -d "${RPM_BUILD_ROOT}/${dir}" || \
		mkdir -p "${RPM_BUILD_ROOT}/${dir}"
	cp -p "${file}" "${RPM_BUILD_ROOT}/${dir}/${PACKAGE_NAME}.${NUMBER}"
	echo "${dir}/${PACKAGE_NAME}.${NUMBER}" >>${RPM_BUILD_DIR}/samba-%{samba_ver}/filelist-${PACKAGE_NAME}
done
popd
cp -p packaging/Debian/debian-unstable/samba-common.dhcp ${RPM_BUILD_ROOT}/%{_sysconfdir}/sysconfig/network/scripts/dhcpcd-hook-samba-functions
# sambamount
ln -sf %{_bindir}/smbmount ${RPM_BUILD_ROOT}/sbin/mount.smbfs
# cifs(u)mount
for file in mount.cifs umount.cifs; do
	install -m 0755 source/client/${file} ${RPM_BUILD_ROOT}/sbin
done
# libnss_wins.so
install -m 0755 source/nsswitch/libnss_wins.so ${RPM_BUILD_ROOT}/%{_lib}/libnss_wins.so.2
# winbind stuff
install -m 0755 source/nsswitch/pam_winbind.so ${RPM_BUILD_ROOT}/%{_lib}/security/
install -m 0755 source/nsswitch/libnss_winbind.so ${RPM_BUILD_ROOT}/%{_lib}/libnss_winbind.so.2
# pam_smbpass
cp -p source/bin/pam_smbpass.so ${RPM_BUILD_ROOT}/%{_lib}/security/
# smbfilter
cp -p source/bin/smbfilter ${RPM_BUILD_ROOT}/%{_bindir}/
## editreg -- currently broken
#cp -p source/bin/editreg ${RPM_BUILD_ROOT}/%{_bindir}/
# smbget
cp -p source/bin/smbget ${RPM_BUILD_ROOT}/%{_bindir}/
# workaround for broken Makefile
rm "${RPM_BUILD_ROOT}/%{LIBDIR}/libsmbclient.so"
# install libsmbclient
install -m 0755 source/bin/libsmbclient.a ${RPM_BUILD_ROOT}/%{_libdir}
install -m 0755 source/bin/libsmbclient.so ${RPM_BUILD_ROOT}/%{_libdir}/libsmbclient.so.0
ln -s %{_libdir}/libsmbclient.so.0 ${RPM_BUILD_ROOT}/%{_libdir}/libsmbclient.so
install -m 0644 source/include/libsmbclient.h ${RPM_BUILD_ROOT}/%{_includedir}
# install nsswitch-headers (for squid, etc. #FIXME)
mkdir -p ${RPM_BUILD_ROOT}/%{_includedir}/samba/nsswitch
for file in winbind_client.h winbind_nss.h winbind_nss_config.h winbind_nss_linux.h winbindd.h winbindd_nss.h winbindd_proto.h; do
	cp -p "source/nsswitch/${file}" ${RPM_BUILD_ROOT}/%{_includedir}/samba/nsswitch/
done
# install smbtorture and other test-programs
%if %{make_utils}
install -m 0755 source/bin/debug2html ${RPM_BUILD_ROOT}/%{_bindir}/
install -m 0755 source/bin/log2pcap ${RPM_BUILD_ROOT}/%{_bindir}/
install -m 0755 source/bin/smbtorture ${RPM_BUILD_ROOT}/%{_bindir}/
install -m 0755 source/bin/talloctort ${RPM_BUILD_ROOT}/%{_bindir}/
install -m 0755 source/bin/{msgtest,masktest,locktest*} ${RPM_BUILD_ROOT}/%{_bindir}/
install -m 0755 source/bin/nsstest ${RPM_BUILD_ROOT}/%{_bindir}/
install -m 0755 source/bin/vfstest ${RPM_BUILD_ROOT}/%{_bindir}/
# install tdb tools
install -m 0755 source/tdb/{tdbdump,tdbtest,tdbtorture} ${RPM_BUILD_ROOT}/%{_bindir}/
%endif
# install VFS-modules
install -m 0755 examples/VFS/*.so ${RPM_BUILD_ROOT}/%{LIBDIR}/vfs/
# install PDB-modules
# jpmg disable
#libtool --mode=install install -m 0755  examples/pdb/test.la ${RPM_BUILD_ROOT}/%{LIBDIR}/pdb/
%if %{make_vscan}
# install VSCAN-vfs-modules
%{__make} -C examples/VFS/samba-vscan-%{vscan_ver} install DESTDIR="${RPM_BUILD_ROOT}"
%endif
%if %{make_ldapsmb}
install -m 0700 ldapsmb-%{ldapsmb_ver}/ldapsmb ${RPM_BUILD_ROOT}/%{_sbindir}/
cp -a ldapsmb-%{ldapsmb_ver}/ldapsmb.5 ${RPM_BUILD_ROOT}/%{_mandir}/man5
%endif
## mkntpwd - missing
#%{__make} -C examples/LDAP/smbldap-tools/mkntpwd PREFIX=${RPM_BUILD_ROOT}/%{_prefix} install clean
%if %{package_cupsbackend}
	# cups SMB support
	mkdir	-p ${RPM_BUILD_ROOT}/%{_libdir}/cups/backend/
	ln -sf ../../../bin/smbspool ${RPM_BUILD_ROOT}/%{_libdir}/cups/backend/smb
%endif
# make examples clean
VFS="${RPM_BUILD_DIR}/samba-%{samba_ver}/examples/VFS"
VSCAN="$VFS/samba-vscan-%{vscan_ver}"
PDB="${RPM_BUILD_DIR}/samba-%{samba_ver}/examples/pdb"
dirs="$PDB $SAM $VFS"
(for i in $dirs; do make -C "${i}" clean; done)
# install python
%if %{make_python}
cp -a source/build/lib.*/samba ${RPM_BUILD_ROOT}/%{_libdir}/python/lib-dynload/
%endif
# pam_smbpass is missing
cp -a source/pam_smbpass/samples examples/pam_smbpass
cp -p source/pam_smbpass/{CHANGELOG,INSTALL,README,TODO} examples/pam_smbpass/
# cleanup docs
for file in smbsh.1 testprns.1; do
	find . ${RPM_BUILD_ROOT} -name "${file}*" -type f -print0 | xargs -0 rm
done
mv COPYING Manifest README Read-Manifest-Now Roadmap WHATSNEW.txt ${RPM_BUILD_ROOT}/%{DOCDIR}/
# this is empty
rm -rf docs/yodldocs
mv examples/VFS/samba-vscan-%{vscan_ver} .
rm -rf docs/manpages
cp -a docs/* ${RPM_BUILD_ROOT}/%{DOCDIR}
rm -rf "${RPM_BUILD_ROOT}/%{DOCBOOKDIR}"
cp -a examples/ ${RPM_BUILD_ROOT}/%{DOCDIR}
ln -s "%{DOCDIR}/htmldocs/using_samba" "${RPM_BUILD_ROOT}/%{SWATDIR}"
# Install HTML pages only in the samba-doc package
pushd ${RPM_BUILD_ROOT}/%{SWATDIR}/help
for file in $( find -mindepth 1 -maxdepth 1); do
	file=$( basename $file)
	case "${file}" in
		welcome-no-samba-doc.html) continue ;;
		welcome.html) ;;
		*)
			rm -r "${file}"
			ln -s "%{DOCDIR}/htmldocs/${file}" .
			;;
	esac
	echo "%doc %{SWATDIR}/help/${file}" >>${RPM_BUILD_DIR}/samba-%{samba_ver}/filelist-samba-doc
done
popd
# finally build filelist-samba-doc
for file in $( find ${RPM_BUILD_ROOT}%{DOCDIR} -maxdepth 1); do
        # exclude %{DOCDIR}, README, and docbook
        case "${file#${RPM_BUILD_ROOT}}" in
                %{DOCDIR}|%{DOCDIR}/README.%{VENDOR}|%{DOCDIR}/docbook) continue ;;
        esac
        echo "%doc ${file#${RPM_BUILD_ROOT}}" >>${RPM_BUILD_DIR}/samba-%{samba_ver}/filelist-samba-doc
done
# sort out vscan-modules from the main filelist
%if %{make_vscan}
for file in $( find ${RPM_BUILD_ROOT}%{LIBDIR}/vfs/ -mindepth 1 ! -iname '*vscan*' ); do
        echo "${file#${RPM_BUILD_ROOT}}" >>${RPM_BUILD_DIR}/samba-%{samba_ver}/filelist-samba
done
%endif
%if ! %{make_utils}
# delete manpages if not packaged in utils-package
rm -f \
	${RPM_BUILD_ROOT}/%{_mandir}/man1/log2pcap.1* \
	${RPM_BUILD_ROOT}/%{_mandir}/man1/vfstest.1*
%endif
# copy the schema
cp -p examples/LDAP/samba.schema ${RPM_BUILD_ROOT}/%{_sysconfdir}/openldap/schema/samba3.schema
cp -p examples/LDAP/samba-nds.schema ${RPM_BUILD_ROOT}/%{_datadir}/samba/LDAP

%pre
/usr/sbin/groupadd -g 71 -o -r ntadmin 2>/dev/null || :
if [ ${1:-0} -gt 1 ]; then
	# check if we update from a UnitedLinux 1.0 system
	if [ -x usr/sbin/smbd ] && \
		usr/bin/strings usr/sbin/smbd | usr/bin/grep -q "^2\.2\."; then
		if [ -f etc/xinetd.d/samba ]; then
			OLD_XINETD_SWAT_FILE="var/adm/old.xinetd.swat.config"
			ACTIVE_DIR=$( dirname ${OLD_XINETD_SWAT_FILE})
			test -d ${ACTIVE_DIR} || mkdir -p ${ACTIVE_DIR}
			test -f "${OLD_XINETD_SWAT_FILE}" && old "${OLD_XINETD_SWAT_FILE}"
			cp -a etc/xinetd.d/samba "${OLD_XINETD_SWAT_FILE}"
			echo "# The configuration file for SWAT is now in /etc/xinetd.d/swat." >>etc/xinetd.d/samba
		fi
		# check if we used LDAP with Samba 2.2
		test -f etc/sysconfig/samba && . etc/sysconfig/samba
		SAMBA_SAM=$( echo ${SAMBA_SAM} | usr/bin/tr '[:upper:]' '[:lower:]')
		if [ "${SAMBA_SAM}" = "ldap" ]; then
			test -d var/lib/update-messages || \
				mkdir -p var/lib/update-messages
			touch var/lib/update-messages/samba.1
		else
			rm -f var/lib/update-messages/samba.1
		fi
	fi
fi

%preun
%stop_on_removal smb nmb

%post
if [ ${1:-0} -gt 1 ]; then
	OLD_XINETD_SWAT_FILE="var/adm/old.xinetd.swat.config"
	if [ -f "${OLD_XINETD_SWAT_FILE}" ]; then
		test -f etc/xinetd.d/swat && \
			mv etc/xinetd.d/swat etc/xinetd.d/swat.rpmnew
		mv "${OLD_XINETD_SWAT_FILE}" etc/xinetd.d/swat
	fi
fi

%postun
%restart_on_update nmb smb
%insserv_cleanup

%pre client
if [ ${1:-0} -gt 1 ]; then
	# check if we update from a UnitedLinux 1.0 system
	if [ -x usr/sbin/winbindd ] && \
		usr/bin/strings usr/sbin/winbindd | usr/bin/grep -q "^2\.2\."; then
		if sbin/chkconfig -c winbind; then
			# take care of an active winbind service as we've moved the daemon and
			# init script to the winbind sub package
			if [ -z "${YAST_IS_RUNNING}" ]; then
				echo "The winbind service was active on your system.  It is now provided by the "
				echo "samba-winbind package.  Please install this package and active the winbind "
				echo "service with the YaST runlevel editor or via the command 'insserv winbind'. "
			else
				WINBINDD_ACTIVE_FILE="var/adm/winbindd.was.active"
				test -f ${WINBINDD_ACTIVE_FILE} && old ${WINBINDD_ACTIVE_FILE}
				ACTIVE_FLAG_DIR=$( dirname ${WINBINDD_ACTIVE_FILE})
				test -d ${DIRNAME} || mkdir -p ${DIRNAME}
				touch ${WINBINDD_ACTIVE_FILE}
			fi
		fi
	fi
fi

%preun client
%stop_on_removal smbfs

%post client
if [ ${1:-0} -eq 1 ]; then
# Only insserv smbfs if we're not in update mode.
%if %{suse_version} < 1001
%{fillup_and_insserv -fy smbfs} || :
%else
%fillup_and_insserv -fy smbfs
%endif
fi
%fillup_only -nsd dhcp samba-client network

%postun client
%insserv_cleanup

%pre doc
# Remove all directories and files from usr/share/samba/swat/help expect welcome-*.html
if [ -d usr/share/samba/swat/help ]; then
	find usr/share/samba/swat/help -mindepth 1 -maxdepth 1 -type d -print0 | \
		xargs -0 rm -rf
	for file in $( find usr/share/samba/swat/help -maxdepth 1 -type f); do
		case "${file}" in
			usr/share/samba/swat/help/welcome*.html) continue ;;
			*) rm -f "${file}" ;;
		esac
	done
fi

%post winbind
WINBINDD_ACTIVE_FILE="var/adm/winbindd.was.active"
if [ -f ${WINBINDD_ACTIVE_FILE} ]; then
	sbin/insserv winbind
	test ! -s ${WINBINDD_ACTIVE_FILE} && rm -f ${WINBINDD_ACTIVE_FILE} || :
fi

%preun winbind
%stop_on_removal winbind

%postun winbind
%restart_on_update winbind
%insserv_cleanup
%if %{make_wrepld}

%preun wrepl
%stop_on_removal wrepl

%postun wrepl
%restart_on_update wrepl
%insserv_cleanup
%endif

%post -n libsmbclient
%run_ldconfig

%postun -n libsmbclient
%run_ldconfig

%clean
[ x"${RPM_BUILD_ROOT}" = x"/" ] && ( echo "your buildroot is /" && exit 0) || rm -rf "${RPM_BUILD_ROOT}"

%files -f filelist-samba
%defattr(-,root,root)
%attr(0754,root,root) %config %{INITDIR}/nmb
%attr(0754,root,root) %config %{INITDIR}/smb
%attr(0600,root,root) %config(noreplace) %{CONFIGDIR}/smbpasswd
%config(noreplace) %{CONFIGDIR}/smbusers
%config %{_sysconfdir}/pam.d/samba
%{_sysconfdir}/slp.reg.d
%config(noreplace) %{_sysconfdir}/xinetd.d/swat
%{_includedir}/samba
/%{_lib}/security/pam_smbpass.so
%dir %{LIBDIR}
%dir %{LIBDIR}/vfs
%{LIBDIR}/auth
%{LIBDIR}/config
%{LIBDIR}/rpc
%{LIBDIR}/*.msg
%dir %{LOCKDIR}
%attr(0775,root,ntadmin) %{LOCKDIR}/drivers
%{LOCKDIR}/netlogon
%attr(0770,root,users) %dir %{LOCKDIR}/profiles
%{SPOOLDIR}
%dir %{SWATDIR}
%dir %{SWATDIR}/help
%{SWATDIR}/help/welcome-no-samba-doc.html
%{SWATDIR}/images
%{SWATDIR}/include
%{SWATDIR}/lang
%{_bindir}/smbstatus
%{_bindir}/tdbbackup
%{_bindir}/tdbdump
%{_bindir}/tdbtool
%{_sbindir}/nmbd
%{_sbindir}/rcnmb
%{_sbindir}/rcsmb
%{_sbindir}/smbd
%{_sbindir}/swat
%dir %{_datadir}/samba
%doc %{_mandir}/man1/smbstatus.1.gz
%doc %{_mandir}/man5/smbpasswd.5.gz
%doc %{_mandir}/man8/nmbd.8.gz
%doc %{_mandir}/man8/smbd.8.gz
%doc %{_mandir}/man8/swat.8.gz
%doc %{_mandir}/man8/tdbbackup.8.gz
%doc %{_mandir}/man8/tdbdump.8.gz

%files client -f filelist-samba-client
%defattr(-,root,root)
%attr(0754,root,root) %config %{INITDIR}/smbfs
%dir %{CONFIGDIR}
%config(noreplace) %{CONFIGDIR}/lmhosts
%config(noreplace) %{CONFIGDIR}/smb.conf
%attr(0600,root,root) %config(noreplace) %{CONFIGDIR}/smbfstab
%dir %{_sysconfdir}/openldap/schema
%attr(0444,root,root) %config %{_sysconfdir}/openldap/schema/samba3.schema
%{_sysconfdir}/sysconfig/network/if-up.d/dhcpcd-hook-samba
%{_sysconfdir}/sysconfig/network/scripts/dhcpcd-hook-samba
%{_sysconfdir}/sysconfig/network/scripts/dhcpcd-hook-samba-functions
#%{_bindir}/editreg
%{_bindir}/findsmb
%{_bindir}/net
%{_bindir}/nmblookup
%{_bindir}/nmbstatus
%{_bindir}/pdbedit
%{_bindir}/profiles
%{_bindir}/rpcclient
%{_bindir}/smbcacls
%{_bindir}/smbclient
%{_bindir}/smbcontrol
%{_bindir}/smbcquotas
%{_bindir}/smbfilter
%{_bindir}/smbget
%{_bindir}/smbmnt
%{_bindir}/smbmount
%{_bindir}/smbpasswd
%{_bindir}/smbprngenpdf
%{_bindir}/smbspool
%{_bindir}/smbtar
%{_bindir}/smbtree
%{_bindir}/smbumount
%{_bindir}/testparm
%{_sbindir}/rcsmbfs
#%{_sbindir}/mkntpwd
/sbin/mount.smbfs
%if %{package_cupsbackend}
%{_libdir}/cups
%endif
%dir %{LIBDIR}
%{LIBDIR}/charset
%{LIBDIR}/lowcase.dat
%{LIBDIR}/upcase.dat
%{LIBDIR}/valid.dat
%doc %{_mandir}/man1/editreg.1.gz
%doc %{_mandir}/man1/findsmb.1.gz
%doc %{_mandir}/man1/nmblookup.1.gz
%doc %{_mandir}/man1/nmbstatus.1.gz
%doc %{_mandir}/man1/profiles.1.gz
%doc %{_mandir}/man1/rpcclient.1.gz
%doc %{_mandir}/man1/smbcacls.1.gz
%doc %{_mandir}/man1/smbcontrol.1.gz
%doc %{_mandir}/man1/smbclient.1.gz
%doc %{_mandir}/man1/smbcquotas.1.gz
%doc %{_mandir}/man1/smbget.1.gz
%doc %{_mandir}/man1/smbtar.1.gz
%doc %{_mandir}/man1/smbtree.1.gz
%doc %{_mandir}/man1/testparm.1.gz
%doc %{_mandir}/man5/lmhosts.5.gz
%doc %{_mandir}/man5/smb.conf.5.gz
%doc %{_mandir}/man5/smbgetrc.5.gz
%doc %{_mandir}/man7/samba.7.gz
%doc %{_mandir}/man8/net.8.gz
%doc %{_mandir}/man8/pdbedit.8.gz
%doc %{_mandir}/man8/smbmnt.8.gz
%doc %{_mandir}/man8/smbmount.8.gz
%doc %{_mandir}/man8/smbpasswd.8.gz
%doc %{_mandir}/man8/smbspool.8.gz
%doc %{_mandir}/man8/smbumount.8.gz
%dir %{_datadir}/samba/LDAP
%config %{_datadir}/samba/LDAP/samba-nds.schema
%dir %{DOCDIR}
%doc %{DOCDIR}/README.%{VENDOR}
%{_var}/adm/fillup-templates/samba-client-dhcp.conf
%{_var}/adm/fillup-templates/sysconfig.dhcp-samba-client
%ghost %{_var}/lock/subsys/smbfs
%dir %{LOGDIR}
%dir %{PIDDIR}
%if %{suse_version} < 921
/sbin/mount.cifs
/sbin/umount.cifs
%doc %{_mandir}/man8/mount.cifs.8.gz
%doc %{_mandir}/man8/umount.cifs.8.gz
%endif

%files winbind -f filelist-samba-winbind
%defattr(-,root,root)
%attr(0754,root,root) %config %{INITDIR}/winbind
%doc %{_mandir}/man1/ntlm_auth.1.gz
%doc %{_mandir}/man1/wbinfo.1.gz
%doc %{_mandir}/man8/winbindd.8.gz
%{_bindir}/ntlm_auth
%{_bindir}/wbinfo
%{_sbindir}/rcwinbind
%{_sbindir}/winbindd
/%{_lib}/libnss_winbind.so.2
/%{_lib}/libnss_wins.so.2
/%{_lib}/security/pam_winbind.so
%{LIBDIR}/idmap
%doc %{_mandir}/man8/pam_winbind.8.gz
%if %{make_utils}

%files utils
%defattr(-,root,root)
%{_bindir}/debug2html
%{_bindir}/log2pcap
%{_bindir}/locktest
%{_bindir}/locktest2
%{_bindir}/masktest
%{_bindir}/msgtest
%{_bindir}/nsstest
%{_bindir}/smbtorture
%{_bindir}/talloctort
%{_bindir}/tdbtest
%{_bindir}/tdbtorture
%{_bindir}/vfstest
%doc %{_mandir}/man1/log2pcap.1.gz
%doc %{_mandir}/man1/vfstest.1.gz
%endif

%files doc -f filelist-samba-doc
%defattr(-,root,root)
%dir %{DOCDIR}
%dir %{_datadir}/samba
%dir %{SWATDIR}
%dir %{SWATDIR}/help
%{SWATDIR}/using_samba
%doc %{_datadir}/susehelp
%if %{make_pdb}

%files pdb
%defattr(-,root,root)
%{LIBDIR}/pdb
%doc examples/pdb/{Makefile,README,test.c}
%doc examples/pdb/{mysql/mysql.dump,mysql/smb.conf}
%endif
%if %{make_wrepld}

%files wrepl -f filelist-samba-wrepl
%defattr(-,root,root)
%attr(0754,root,root) %config %{INITDIR}/wrepl
%{_sbindir}/rcwrepl
%{_sbindir}/wrepld
%endif
%if %{make_vscan}

%files vscan
%defattr(-,root,root)
%{LIBDIR}/vfs/vscan*
%doc samba-vscan-%{vscan_ver}/{AUTHORS,COPYING,ChangeLog,FAQ,INSTALL,NEWS,README,TODO}
%doc samba-vscan-%{vscan_ver}/*/vscan-*.conf
%dir %{LIBDIR}/vfs
%endif
%if %{make_python}

%files python
%defattr(-,root,root)
%doc source/python/README
%doc source/python/examples
%doc source/python/gprinterdata
%doc source/python/gtdbtool
%doc source/python/gtkdictbrowser.py
%{_libdir}/python/lib-dynload/samba
%endif

%files -n libsmbclient
%defattr(-,root,root)
%{_libdir}/libsmbclient.so.*
%doc %{_mandir}/man8/libsmbclient.8.gz

%files -n libsmbclient-devel
%defattr(-,root,root)
%{_includedir}/libsmbclient.h
%{_libdir}/libsmbclient.a
%{_libdir}/libsmbclient.so
%if %{make_ldapsmb}

%files -n ldapsmb
%defattr(-,root,root)
%{_sbindir}/ldapsmb
%{_mandir}/man5/ldapsmb.5.gz
%endif
%if %{suse_version} > 920

%files -n cifs-mount
%defattr(-,root,root)
/sbin/mount.cifs
/sbin/umount.cifs
%doc %{_mandir}/man8/mount.cifs.8.gz
%doc %{_mandir}/man8/umount.cifs.8.gz
%endif

%description
Samba is a suite of programs which work together to allow clients to
access Unix filespace and printers via the SMB/ CIFS protocol.

In practice, this means that you can redirect disks and printers to
Unix disks and printers from LAN Manager, Windows for Workgroups 3.11,
Windows '95, Windows NT, and OS/2 clients.

This package expects its config file to be found in
/etc/samba/smb.conf.



Authors:
--------
    The Samba Team <samba@samba.org>

Source Timestamp: 1290
Branch      : 3.0.20b


%description client
This package contains all programs that are needed to act as a Samba
client. This includes smbmount.



Authors:
--------
    The Samba Team <samba@samba.org>

Source Timestamp: 1290
Branch      : 3.0.20b


%description winbind
This is the winbind-daemon and the wbinfo-tool.



Authors:
--------
    The Samba Team <samba@samba.org>

Source Timestamp: 1290
Branch      : 3.0.20b

%if %{make_utils}

%description utils
Some of the debug-tools for developpers.



Authors:
--------
    The Samba Team <samba@samba.org>




%endif

%description doc
This package contains all the Samba documentation as it is not part of
the man pages.



Authors:
--------
    The Samba Team <samba@samba.org>

Source Timestamp: 1290
Branch      : 3.0.20b

%if %{make_pdb}

%description pdb
The Samba PDB-Modules.



Authors:
--------
    The Samba Team <samba@samba.org>

Source Timestamp: 1290
Branch      : 3.0.20b

%endif
%if %{make_vscan}

%description vscan
samba-vscan provides on-access scanning of Samba shares with ClamAV,
FRISK F-Prot, F-Secure AV, Kaspersky Anti-Virus, mks32, OAV
ScannerDaemon, Sophos Sweep, Symantec AntiVirus Engine (via ICAP) and
Trend Micro.



Authors:
--------
    Rainer Link <rainer@openantivirus.org>

Source Timestamp: 1290
Branch      : 3.0.20b

%endif
%if %{make_python}

%description python
This package provides the Samba Python modules.



Authors:
--------
    The Samba Team <samba@samba.org>

Source Timestamp: 1290
Branch      : 3.0.20b

%endif
%if %{make_wrepld}

%description wrepl
The (unfinished) Samba Wins Replication Daemon.



Authors:
--------
    The Samba Team <samba@samba.org>




%endif

%description -n libsmbclient
This package includes the libsmbclient library.



Authors:
--------
    The Samba Team <samba@samba.org>

Source Timestamp: 1290
Branch      : 3.0.20b


%description -n libsmbclient-devel
This package contains the static libraries and header files needed to
develop programs which make use of the smbclient programming interface.



Authors:
--------
    The Samba Team <samba@samba.org>

Source Timestamp: 1290
Branch      : 3.0.20b

%if %{make_ldapsmb}

%description -n ldapsmb
This tool aims to simplify the administration of a Samba Domain
Controller that uses the ldapsam passdb backend.



Authors:
--------
    Guenther Deschner <guenther at deschner dot de>

Source Timestamp: 1290
Branch      : 3.0.20b

%endif
%if %{suse_version} > 920

%description -n cifs-mount
mount.cifs mounts a CIFS filesystem. It is usually invoked indirectly
by the mount command when using the "-t cifs"  option.



Authors:
--------
    Steve French <sfrench at Samba dot org>

Source Timestamp: 1290
Branch      : 3.0.20b

%endif

%changelog
* Fri May 11 2007 - lmuelle@suse.de
- Fix heap overflows to prevent remote code execution; CVE-2007-2446;
  [#273613].
- Fix remote command injection vulnerability; CVE-2007-2447; [#273611].
* Tue Apr 03 2007 - lmuelle@suse.de
- Add repository version and branch to the spec file via
  build-source-timestamp mechanism.
* Mon Mar 26 2007 - lmuelle@suse.de
- Remove setlocale(LC_ALL, "C") calls; bso [#2926], [#247728].
* Thu Feb 01 2007 - lmuelle@suse.de
- Fix logic error in the deferred open code; CVE-2007-0452; [#240265].
* Thu Sep 28 2006 - lmuelle@suse.de
- Add version of the package subversion to Samba vendor version suffix.
* Thu Jul 06 2006 - lmuelle@suse.de
- Fix memory exhaustion DoS; CVE-2006-3403; [#190468].
* Wed Jun 21 2006 - jeallison@suse.de
- Change log level of debug message to avaoid flodded nmbd log; [#157623].
* Fri Jun 09 2006 - gd@suse.de
- Honour 'sn' attribute for eDir; [#176799].
* Thu Jun 01 2006 - lmuelle@suse.de
- Remove SO_SNDBUF and SO_RCVBUF from socket options example; [#165723].
* Thu May 04 2006 - gd@suse.de
- Return domain name in samrquerydominfo 5; [#172756].
* Thu Apr 27 2006 - lmuelle@suse.de
- Don't ever set O_SYNC on open unless "strict sync = yes"; [#165431].
* Fri Mar 31 2006 - gd@suse.de
- Don't assume account objectclass for eDir; [#160169].
* Thu Mar 09 2006 - gd@suse.de
- Fix LDAP replication sleep handling for search requests; [#118378].
* Tue Feb 14 2006 - gd@suse.de
- Send correct workstation name to prevent NT_STATUS_INVALID_WORKSTATION
  beeing returned in samlogon; [#148645], [#161051].
* Wed Jan 04 2006 - lmuelle@suse.de
- Create the precompiled headers with exactly the same flags as the
  binaries.
- Allow to rename machine accounts.  Fixed crash against eDirectory;
  [#140877].
* Wed Dec 14 2005 - lmuelle@suse.de
- Return NT_STATUS_ACCOUNT_DISABLED if eDirectory returns
  LDAP_UNWILLING_TO_PERFORM; [#138491].
* Tue Nov 29 2005 - lmuelle@suse.de
- Ensure to be root while calling pdb_search_destroy(); else we don't have
  enough permissions to do the last paged LDAP search.
* Wed Nov 23 2005 - lmuelle@suse.de
- Store "sambaLogonHours" in GMT and display them in localtime; bso [#3187]
- Cache the results more agressivly to stop multiple LDAP searches; bnc
  [#134082].
- Allow anonymous printing to Microsoft Windows 2000 and XP systems via
  unauthenticated ntlmssp session setup, bnc [#106335].
* Mon Nov 21 2005 - lmuelle@suse.de
- Improve performance when enumerating users from a LDAP database; bnc
  [#134082].
* Fri Nov 18 2005 - lmuelle@suse.de
- Add fix for quota on ext[23], reiserfs.
* Wed Nov 09 2005 - lmuelle@suse.de
- Add samba.org post 3.0.20b fixes.
  + Ensure printjob deletion.
  + Fix setting of quotas on Linux.
  + Clear request structure before used by wbinfo; bso [#3201].
  + Added new parameter 'map readonly = [yes|no|permissions]'; bnc [#134188].
  + Fix acl evaluation bug.
  + Don't count open pipes in the num_files_open on a connection.
* Fri Oct 28 2005 - lmuelle@suse.de
- Speed up load of the configuration file with a large number of share
  definitions; bnc [#129341], bso [#1117].
* Sun Oct 16 2005 - lmuelle@suse.de
- Update patch for mount.cifs to work with named uid/ gid; [#120601].
* Fri Oct 14 2005 - lmuelle@suse.de
- Use upstream fix to supress LDAP build warnings with OpenLDAP 2.3.7 or
  higher and to build with openssl 0.9.8a or higher.
- Allow mount.cifs also to work with uid/ gid names; [#120601].
* Thu Oct 13 2005 - lmuelle@suse.de
- Disable smbwrapper support for all architectures.
- Update to 3.0.20b
  + winbindd crash with alt_names; bso [#3068]
  + denied write on a share in read/write mode; bso [#3088]
  + read-only share files are always seen as read-only
  + quota support; bso [#3070]
* Sun Oct 09 2005 - schwab@suse.de
- Make syscall wrapper stuff compilable.
* Sat Oct 01 2005 - lmuelle@suse.de
- Update to 3.0.20a.
* Mon Sep 26 2005 - ro@suse.de
- fix some implicit function declarations in getdate.
* Mon Sep 19 2005 - lmuelle@suse.de
- Add iprint support; [#113346].
- Update to samba-vscan 0.3.6b.
- Add more samba.org post 3.0.20 fixes.
  + RegCreateKeyEx() Failures
  + Usrmgr.exe and Groups
  + net rpc shutdown
  + DOS applications
- Disable build of smbwrapper for ia64.
* Mon Sep 12 2005 - gd@suse.de
- Fix x86_64 crash bugs
  + security descriptor upgrade in print tdbs [#106751, samba.org #3084]
  + winbindd resolving group membership [samba.org #3082]
* Mon Aug 29 2005 - lmuelle@suse.de
- Add samba.org post 3.0.20 fixes.
  + Fix password history for eDirectory
  + fix enumerated group name
  + other minor fixes
* Sat Aug 20 2005 - lmuelle@suse.de
- Update to 3.0.20.
* Thu Aug 18 2005 - lmuelle@suse.de
- Fix assembling of the filepath in vscan-icap; [#105582].
- Fix typo in vscan-mcdaemon; [#102372].
* Wed Aug 10 2005 - lmuelle@suse.de
- Update to 3.0.20rc2.
* Tue Aug 09 2005 - lmuelle@suse.de
- Enable vscan filetype support for post 9.0 systems as SLES 9 SP 2 provides
  a file package built with -fPIC; [#102372].
* Wed Aug 03 2005 - lmuelle@suse.de
- Update to ldapsmb 1.33.
- Create precompiled headers on post 9.3 systems.
* Fri Jul 29 2005 - lmuelle@suse.de
- Update to 3.0.20rc1.
- Fail build if a patch doesn't apply.
* Wed Jul 20 2005 - lmuelle@suse.de
- Use guards of the quilt package to apply all patches.
- Add shared module idmap_ad.
- Update to ldapsmb 1.32.
* Wed Jul 13 2005 - lmuelle@suse.de
- Update to 3.0.20pre2.
* Wed Jun 29 2005 - lmuelle@suse.de
- Update to 3.0.20pre1.
* Mon Jun 20 2005 - lmuelle@suse.de
- Add more post 3.0.14a fixes; bugzilla.Samba.org [#2729, #2698].
- Add hint to documentation about the permissions of umount.cifs; [#85813].
* Tue May 10 2005 - lmuelle@suse.de
- Add more post 3.0.14a fixes.
- Update umount.cifs to the current version.
* Tue Apr 26 2005 - lmuelle@suse.de
- Add umount.cifs binary.
* Fri Apr 22 2005 - lmuelle@suse.de
- Fix potential buffer overflow in torture.
- Change Requires ... = %%{version} to >= ... %%{version} to allow installation
  of an subpackage from the original media after a version update was
  available and installed by online update.  Kept Requires samba = %%{version}
  for samba-vscan [#80230].
* Wed Apr 20 2005 - lmuelle@suse.de
- Add missing /usr/sbin/groupadd to PreReq of the main package.
* Tue Apr 19 2005 - lmuelle@suse.de
- Remove 'dos filetimes = Yes' from smb.conf as it now is the default.
* Tue Apr 19 2005 - ro@suse.de
- try to make testsuite build with gcc-4
* Fri Apr 15 2005 - lmuelle@suse.de
- Update to version 3.0.14a.
- Fix net share migrate and report in the case of the top level share
  directory ACL.
* Tue Apr 12 2005 - lmuelle@suse.de
- Update to version 3.0.14.
* Fri Apr 08 2005 - lmuelle@suse.de
- Update samba-vscan to version 0.3.6.
- Set 'dos filetimes = Yes' in smb.conf for all shares where other users than
  the owning user might have write access to Microsoft Excel files.
* Thu Mar 24 2005 - lmuelle@suse.de
- Update to version 3.0.13; fix Samba to POSIX draft ACL mapping [#74373];
  bugzilla.Samba.org [#2521].
* Mon Mar 21 2005 - lmuelle@suse.de
- Fix copy/delete files from Microsoft Windows 98 explorer; [#74102];
  bugzilla.Samba.org [#2501].
* Fri Mar 18 2005 - lmuelle@suse.de
- Update to version 3.0.12.
* Sun Mar 13 2005 - lmuelle@suse.de
- Ensure to package smbfstab with limited access permissions.
- Add additional Provides and Obsoletes and add %%version-%%release to the
  Provides tags.
* Fri Feb 25 2005 - lmuelle@suse.de
- Disable com_err patch for post 9.2 products.
- Use NO_BRP_STRIP_DEBUG="true" in the %%install section if make_devel is set.
- Call mkversion.sh to add VENDOR_SUFFIX to version.h
* Mon Feb 07 2005 - ro@suse.de
- use kerberos-devel-packages in neededforbuild (again)
* Fri Feb 04 2005 - lmuelle@suse.de
- Update to 3.0.11.
- Create extra package, cifs-mount for the mount.cifs for post 9.2 products;
  [#45324].
- Replace SWAT welcome.html sym link post and pre script workaround by a SWAT
  fix; [#48160]; bugzilla.Samba.org [#2278].
* Fri Jan 21 2005 - lmuelle@suse.de
- Enusre to free memory used for response and language in the print_cups code;
  [#49999]; bugzilla.Samba.org [#2270].
* Thu Jan 20 2005 - lmuelle@suse.de
- Fix order of evaluation in the bitmap code; Samba.org svn revision 4120;
  [#49476,#49514,#49947].
* Fri Jan 14 2005 - ro@suse.de
- fix typo in specfile
* Wed Dec 22 2004 - lmuelle@suse.de
- Fix open_any_socket_out on request of Volker Lendecke; bugzilla.Samba.org
  [#2180]; [#49480].
* Thu Dec 16 2004 - lmuelle@suse.de
- Update to version 3.0.10; CAN-2004-1154; [#49119].
* Wed Dec 15 2004 - lmuelle@suse.de
- Set IDMAP_RID_SUPPORT_TRUSTED_DOMAINS to 1 in sam/idmap_rid.c and add
  Samba.org svn revision 4216; [#49250].
- Disable none working pdf share; [#49221].
- Don't remove statically defined printers in remove_stale_printers();
  bugzilla.Samba.org [#2091]; [#49221].
* Tue Dec 14 2004 - lmuelle@suse.de
- Add more changes from Vince Brimhall <vbrimhall at Novell dot com> to the
  eDirectory integration patches; [#48821].
* Mon Dec 13 2004 - lmuelle@suse.de
- Fix remote exploitation of an integer overflow vulnerability in the smbd
  daemon; will be addressed in 3.0.10 upstream; CAN-2004-1154; [#49119].
- Add workaround for samba-vscan if TMPDIR env is set; [#49041].
- Add more changes from Vince Brimhall <vbrimhall at Novell dot com> to the
  eDirectory integration patches; rename the passdb backend file to pdb_nds;
  [#48821].
- Remove patch to avoid inclusion of linux/audit.h as it - even for post 9.1
  products - is superfluous; bugzilla.Samba.org [#2061].
* Tue Nov 30 2004 - lmuelle@suse.de
- Add -O to CFLAGS only for pre 9.2 products; [#44167], bugzilla.Samba.org
  [#1631].
- Ensure to include /usr/lib/cups/backend only in post 9.0 products.
* Fri Nov 19 2004 - lmuelle@suse.de
- Only avoid inclusion of linux/audit.h for post 9.1 products.
- Fix also max fd count for the select() call in nmbd and wrepld.
- Add more post 3.0.9 fixes.
* Fri Nov 19 2004 - lmuelle@suse.de
- Add missing ldapsmb man page.
- Add AntiVir module to samba-vscan.
- Fix fixed PID file name if multiple Samba daemons are used; [#48237].
- Add fixes to nds_ldap.c and nds-pdb_ldap.c.diff from Vince Brimhall
  <vbrimhall at Novell dot com>.
- Use common* PAM configuration only for post 9.2 products.
- Update to version 3.0.9.
* Mon Nov 15 2004 - lmuelle@suse.de
- Add max fd count for select call in smbd/server.c.
* Mon Nov 15 2004 - kukuk@suse.de
- Use common-* PAM configuration.
* Fri Nov 12 2004 - lmuelle@suse.de
- Remove check for uid and gib mapping from winbind init script as winbind
  nowadays works fine as a proxy only.
- Add -t 10 to all killproc calls in the init scripts; [#47227].
- Fix output of smbstatus to make the man page; fix -L, -p, & -S and the -u
  <username> functionality.
- Move doc subpackage %%preun to %%postun and change sym link only if first arg
  is less than 1 as only this situation is a deinstallation case.
* Thu Nov 11 2004 - lmuelle@suse.de
- Fix seg fault in lanman printing code.
- Fix testparm reporting for the passwd program string.
- Add welcome.html also as %%ghost to the samba-doc package and remove rm from
  %%preun as this breaks the uninstall of samba-doc; [#48160].
- Protect all welcome-* files in the %%pre section of samba-doc to not get
  deleteted.  welcome-en-no-samba-doc.html of the samba package was accidently
  removed.
* Thu Nov 11 2004 - lmuelle@suse.de
- Update Samba docs to version 3.0.8; [#48137].
- Use a 32 instead of a 64 byte case-exact string in the samba-nds.schema
  for the sambaPasswordHistory object; [#48134].
- Use samba-nds.schema of examples/LDAP/samba-nds.schema as it is now part of
  the main line and mark it as %%config in the filelist.
- Remove admin from default smbusers mapping file; [#48111].
- Add post 3.0.8 fixes.
- Remove rest of old net RPC printer migration patch as the problem is solved
  different in 3.0.8.
- Fix undefined reference to `secrets_*' in libsmbclient; [#48082].
- Enable testsuite for libsmbclient.
- Fix domain/ workgroup bug for multibyte names in nmbstatus; [#38309].
- Remove superfluous rm in the preun of the samba package.
* Mon Nov 08 2004 - lmuelle@suse.de
- Update to version 3.0.8; CAN-2004-0930; [#48019].
- Fix roundup problem for non-Windows clients; CAN-2004-0882 [#46203].
- Use upstream version of the HTML index file; [#48041].
* Wed Nov 03 2004 - lmuelle@suse.de
- Add samba-nds.schema to /usr/share/samba/LDAP, [#47894].
* Tue Nov 02 2004 - lmuelle@suse.de
- Remove incomplete account expiry feature.
- Remove broken clockskew fix on request of the author.
* Thu Oct 28 2004 - lmuelle@suse.de
- Add printername and queue update patch, bugzilla.Samba.org [#1519].
- Add account and password expire feature mainly for migration.
- Add bad password count and logon count while migration.
- Use define for common %%setup options and set it to -q.
- Fix several serious compiler warnings in smbd/lanman.c.
* Fri Oct 22 2004 - adrian@suse.de
- make it possible to build the package as user
* Thu Oct 21 2004 - mc@suse.de
- disable samba3-account_pol_ldap.diff; breaks libsmbclient
* Tue Oct 19 2004 - lmuelle@suse.de
- Add showacls option to smbclient.
* Mon Oct 18 2004 - mc@suse.de
- Update pdb_ldap.c.diff from Vince Brimhall <vbrimhall at Novell dot com>.
* Fri Oct 15 2004 - lmuelle@suse.de
- Update eDirectory patch from Vince Brimhall <vbrimhall at Novell dot com>.
* Thu Oct 14 2004 - lmuelle@suse.de
- Add information to the default smb.conf that the full version is only
  available if samba-doc is installed, [#43953].
- Move samba.reg to the vendor-files tar ball.
- Use $syslog for Required-Start in the smbfs init script, [#37618].
- Add eDirectory patch from Vince Brimhall <vbrimhall at Novell dot com>.
- Add alias migration code from Volker Lendecke <vl at Sernet do DE>.
- Add account policy migration to LDAP code from Guenther Deschner <gd at
  Samba dot org>.
* Mon Oct 11 2004 - lmuelle@suse.de
- Fix recursive ls in smbclient.  Fix by Josef Zlomek.
* Wed Oct 06 2004 - lmuelle@suse.de
- Fix job check of smbfs init script.
- Use 0754 permissions for all init scripts.
* Thu Sep 23 2004 - lmuelle@suse.de
- Fix smbfs init script for case where we wait for mount or umount to succeed,
  [#45778].
* Tue Sep 21 2004 - lmuelle@suse.de
- User 0775 and root:ntadmin for drivers and 0770 and root:users for profiles
  directory as with the Samba 2.2 packages.
- Add groupadd ntadmin to %%pre of the main package, [#45719].
- Modify NetBIOS Datagram Distributor extensions patch to protect records
  which are marked as permanent.
* Thu Sep 16 2004 - lmuelle@suse.de
- Enable krb5_cc_close() in libsmb/clikrb5 to avoid memleak of winbindd.
- Remove obsolet part from vendor README.
- Call mount only one time in the smbfs init script.
- Add additional information to the samba-vscan INSTALL file.
* Mon Sep 13 2004 - lmuelle@suse.de
- Update to version 3.0.7, CAN-2004-0807, CAN-2004-0808, [#44883].
- Restructure vendor-files tar ball.
- Use -dPARANOIDSAFER as option to gs in smbprngenpdf.
- Move all 'inherit permissions' to 'inherit acls' in the default smb.conf.
- Enhance libtool --mode patch for examples/pdb/ as suggested by Andreas
  Schwab <schwab at suse dot de>.
- Add %%{?jobs:-j%%jobs} to most make calls as suggested by Stephan Kulow <coolo
  at suse dot de>
* Fri Sep 03 2004 - lmuelle@suse.de
- Remove letters from the version string of autoconf and autoheader.
- Add --mode=MODE to libtool calls.
- Add logrotate settings for nmbd and smbd only on systems newer than 8.1.
* Wed Sep 01 2004 - lmuelle@suse.de
- Disable filetype support in vscan for version older than 9.2 where file was
  built without -fPIC.
- Use new update message mechanism, [#44359].
- Disable profile information gathering.  This is the Samba default.
- Check in %%pre of the doc package if there are still directories and files in
  swat/help and remove them to allow cpio to create sym links here, [#44564].
- Check in dhcpcd-hook-samba if the interface is configured for BOOTPROTO
  dhcp and exit gracefully if not.
* Fri Aug 27 2004 - lmuelle@suse.de
- Fix check for DHCLIENT_MODIFY_SMB_CONF, add copyright to and remove 'set -e'
  from dhcpcd-hook script.
- Remove swat/help/* and replace it with sym links to the samba-doc package.
- Add VENDOR suffix to mount.cifs.
- Add NetBIOS Datagram Distributor extensions provided by Brian Landy <landy
  at alumni dot caltech dot edu>.  See http://www.landy.cx/ or the comments in
  the patch.
- Add more post 3.0.6 fixes.
* Thu Aug 26 2004 - lmuelle@suse.de
- Use try-restart in nmb init script when called with force-reload.
- Add DHCP support for wins server and netbios scope setting.
* Tue Aug 24 2004 - lmuelle@suse.de
- Update to version 3.0.6, [#43737, #43773].
- Update samba-vscan to version 0.3.5, [#43853].
- Update net RPC printer migrate patch from Günther Deschner.
- Add several post 3.0.6 fixes.
- Use -O instead of default -O2 for CFLAGS to avoid potential miscompilation,
  [#44167]; bugzilla.Samba.org [#1631].
* Thu Jul 22 2004 - lmuelle@suse.de
- Update to version 3.0.5.  CAN-2004-0600 and CAN-2004-0686.
- Add net RPC printer migrate patch from Günther Deschner.
- Add RPM release to the vendor suffix in the version header file.
* Tue Jun 22 2004 - lmuelle@suse.de
- Fix premature optimization in unix_convert() [#42332]; bugzilla.Samba.org
  [#1345].
* Wed Jun 16 2004 - lmuelle@suse.de
- Convert spec file to UTF-8 to produce mail with content type UTF-8 if we
  create one in the %%pre or %%post section.
* Tue Jun 15 2004 - lmuelle@suse.de
- Create a mail if we update from Samba 2.2 and used LDAP as SAM before
  [#42055].
- Move /var/log/samba and /var/run/samba to the client package [#42018].
* Fri Jun 11 2004 - lmuelle@suse.de
- Ensure that we always use tdb_open_log() instead of tdb_open_ex() [#41929].
- Fix afs syscall patch.  Already tested and added upstream.
- Add some information about the commented example configuration file to the
  README.
- Add an inative [netlogon] share to the example configuration.
* Wed Jun 02 2004 - ro@suse.de
- avoid inclusion of linux/audit.h
* Tue Jun 01 2004 - lmuelle@suse.de
- Add CIFS support to smbfs init script [#41486].
- Use stderr for important messages in the init scripts.
- Remove empty Samba named configuration.
- Add hu translation to Samba.desktop file.
* Mon May 31 2004 - lmuelle@suse.de
- Move smb.conf existence test in all init scripts to the start case [#41430].
- Add WHATSNEW and README to the htmldocs file.
- Use samba.css in htmldocs.html and manpages.html.
- Add X-DOC-* lines to enable search index creation and some translations to
  the Samba.desktop file.
* Sun May 30 2004 - lmuelle@suse.de
- Remove backtrace file from vendor-files as our version it's now in upstream.
- Add Samba.desktop file for SuSEhelp system to the doc package.
- Move smbpasswd, smbcontrol binaries and man pages to the client package.
- Move README to the client package.
- Add additional information to the README.
* Sun May 30 2004 - lmuelle@suse.de
- Split winbind and wrepl logrotate from main package [#41433].
- Skip test for smb.conf file in case of stop in nmb, smb, winbind, and wrepl
  init scripts [#41430].
- Move sym link /usr/share/samba/swat/using_samba to the doc package [#41429].
- Return always with success from smbfs init script in case of stop [#41428].
- Don't add /etc/samba/*.tdb files to file list.
- Enable patch to build examples-vfs with -fPIC for all architectures.
* Fri May 28 2004 - lmuelle@suse.de
- Add profiles share with setting to suppress popup of a desktop.ini file to
  the default smb.conf.
* Thu May 27 2004 - lmuelle@suse.de
- Enable logon drive, path, and home in the way Standard Server 8 does and add
  'username map' setting to default smb.conf.
- Use /var/log/samba/ as a secure directory for the smb-print script [#36676].
- Readd -t|--password-from-stdin option to pdbedit [#41182];
  bugzilla.Samba.org [#1386].
- Fix winbind in case schannel verifier does not include the nonce [#41100];
  bugzilla.Samba.org [#1315].
- Fix 'write list' option in case of security is better than share [#41101];
  bugzilla.Samba.org [#1319].
- Touch smbd pid file in the init script while reload if the daemon runs.
  This allows probe to return a value not equal reload.
- Add upstream changes to the 'printcap cache time' feature.  Thie requires to
  set 'printcap cache time = 750' in our default smb.conf as the upstream
  default is 0 which disables the feature.
* Wed May 19 2004 - ro@suse.de
- fix some gcc warnings (py_spoolss_drivers.c: argument sequence)
* Thu May 13 2004 - lmuelle@suse.de
- Add patch to fix clock skew of winbind in ADS security.  For details see
  bugzilla.Samba.org [#1208].
- Add patch to fix printing to the IP address of the server.
- Remove TDB files from below /var/lib/samba/ from filelist.
- Update to version 3.0.4.  Fix password change broken by Microsoft hotfix
  MS04-011 [#40087].
- Add libsmbclient fix from Stephan Kulow <coolo at suse dot de>.  For details
  see bugzilla.samba.org [#429].
- Add 'printcap cache time' option to remove stale and add new printers
  [#21846].  See also bugzilla.Samba.org [#1259].  By this we no longer have
  to wait for the CUPS dameon in the init script.
- Disable 'interfaces' and 'bind interfaces only' by default [#39491].
- Use right path to smb.conf in smbpasswd file and add some hints.
* Thu Apr 29 2004 - lmuelle@suse.de
- Add quotactl support patch from Stefan Metzmacher <metze at samba dot org>
  [#39666]
- Replace suse_ver macro by real version string.
* Thu Apr 29 2004 - lmuelle@suse.de
- Update to version 3.0.3.
- Adopt missing patches from 2.2.8a.
- Move LDAP schema to samba-client package.
- Add prerequires to samba package.
- Add missing stop_on_removal macros
- Add /var/lib/samba/browse.dat to the file list.
- Add /var/lib/samba/printing directory to the file list.
- Remove printingCupsOptions and expired_service_tickets diff; use upstream
  version instead; they are now part of the printingAndManyOtherFixes diff.
- Enhance waiting for cupsd function in the smb init script
  * only check with lpstat every two seconds
  * remember start time in seconds and calculate the waiting time in relation
  to this; this is important if a configured CUPS server is unreachable.
  In this case we now really wait only 30 seconds and not 30 times of the
  lpstat timeout.
  * Thanks to Bjoern Jacke <bjoern at j3e dot de> for the patch.
* Mon Apr 19 2004 - lmuelle@suse.de
- fix ldapsmb script
- add expired service tickets patch from Guenther Deschner <gd at suse dot de>
* Thu Apr 15 2004 - lmuelle@suse.de
- add 'cups options = raw' to the default smb.conf, [#28176]
- fix typo and use signal USR2 in write-status case of init script
* Mon Apr 05 2004 - lmuelle@suse.de
- add patch from Alexander Bokovoy <ab@samba.org> to fix smbmount, [#37871]
- only create notify message on first installation
* Sat Apr 03 2004 - lmuelle@suse.de
- readd /var/lock/samba/{drivers,netlogon,profiles}
- add more TDB files as %%ghost %%config(noreplace) to the file list
- enhance default configuration file, [#38024]
* Wed Mar 31 2004 - lmuelle@suse.de
- add restart_on_update macros for nmb, smb and winbind
- fix path to smb-print.log, [#36676]
- move smbpasswd, pdbedit and testparm binaries and man pages to the client
  package
- add cracklib-devel to BuildRequires
- add several TDB files as %%ghost %%config(noreplace) to the file list
- add backtrace script to examples/scripts
- fix smbadduser paths
- move /etc/xinetd.d/samba to /etc/xinetd.d/swat
* Mon Mar 22 2004 - lmuelle@suse.de
- add 'printing cups options' feature; this allows us to print with option
  'raw' without enabeling raw printing in the cups.conf, [#20218]
- add big patch collected from the CVS; [#36602]
- add sambaxp and sambaxp-client to the provides and obsoletes tag
- spec file cleanup
* Tue Feb 24 2004 - gd@suse.de
- readd nmbstatus, mkntpwd, ldap-schema and cups-smb-backend
* Sun Feb 22 2004 - gd@suse.de
- disable build of utils-package
* Wed Feb 18 2004 - gd@suse.de
- update to 3.0.2a
- removed last references of docbook package
- moved cifsmount into client package
- added pgsql-backend
- cleaned up neededforbuild
- build as root
- fixed dependencies
- smb init-script should check for defaults
- winbind init-script should warn for required params
* Wed Feb 18 2004 - coolo@suse.de
- readding my fix for libsmbclient. without it surfing windows
  networks is pure luck ;(
* Mon Feb 16 2004 - adrian@suse.de
- register samba and swat via slp.reg.d
* Wed Feb 11 2004 - kukuk@suse.de
- Remove self Conflicts
* Sun Feb 01 2004 - gd@suse.de
- update to 3.0.2rc2
* Sun Jan 25 2004 - adrian@suse.de
- rename package back to "samba"
- fix build
- add %%defattr
- clean up Provides/Obsoletes
- add Provides/Obsoletes for libsmbclient3
* Sun Jan 25 2004 - gd@suse.de
- removed extra docbook-package
* Sun Jan 25 2004 - gd@suse.de
- initial package of samba3. based on the work of Lars Mueller
  <lmuelle-at-suse.de>.
* Sun Jan 18 2004 - meissner@suse.de
- Added -fPIC to libmksd build.
* Fri Jan 16 2004 - kukuk@suse.de
- added pam-devel to neededforbuild
* Fri Oct 17 2003 - kukuk@suse.de
- Remove unused des from neededforbuild
* Mon Sep 15 2003 - kukuk@suse.de
- Add requires to libsmbclient-devel [Bug #30718]
* Fri Sep 05 2003 - kukuk@suse.de
- Move /var/log/samba and /var/run/samba to samba-client [#30027]
* Thu Aug 28 2003 - lmuelle@suse.de
- call sbin/SuSEconfig --module samba and not directly the script in the %%post
  section
* Tue Aug 26 2003 - lmuelle@suse.de
- add patch from Ademar de Souza Reis Jr. <ademar at conectiva dot com dot br>
  for smbclient to get a working -TI option, #27353
* Thu Aug 21 2003 - lmuelle@suse.de
- add nss-soname patch from Andreas Schwab, #28248
- add stop_on_removal and restart_on_update macros to preun and postun section
* Tue Jul 29 2003 - lmuelle@suse.de
- point getSambaOptions to the right location of the source file
- fix handling of uninitialized variable in nmbstatus
* Mon Jul 28 2003 - lmuelle@suse.de
- add Urban Widmark <urban at teststation dot com> patches for smbmount; this
  includes LFS, unicode, escape character, and 32 bit uid suppprt, #18472
- add nmbstatus utility
- add schannel feature from Volker Lendecke <Volker.Lendecke at SerNet dot DE>
- move winbind init script and rc sysm link to the client package
- remove superfluous linkvfs patch
- activate root = administrator admin in smbusers by default
- add smbprngenpdf
- add configure option --with-sendfile-support
- autocreate samba.opts.ini while build
* Mon Jun 23 2003 - lmuelle@suse.de
- add /usr/lib/cups/backend/smb to the samba-client package
- unify init scripts; add one space at the end to all echos
* Wed Jun 04 2003 - lmuelle@suse.de
- fix pointer cast on 64bit big endian architecture in winbind_nss.c, #27220
- add new sysconfig tags
* Wed May 14 2003 - ro@suse.de
- run autoreconf / fix build with latest libtool
* Thu May 08 2003 - lmuelle@suse.de
- remove %%ghost from sym linked files
* Mon Apr 28 2003 - lmuelle@suse.de
- cleanup %%post script part which takes care of old configuration location
* Sun Apr 20 2003 - lmuelle@suse.de
- remove tdbtorture from package on request of the Samba team
- update to version 2.2.8a
* Mon Mar 17 2003 - lmuelle@suse.de
- readd map to guest = Bad User to smb.conf
* Fri Mar 14 2003 - lmuelle@suse.de
- move samba LDAP schema to the client package
- add product suffix to README and smb.conf files of documentation
- mark sym links from /var/lib/samba/bin/ as %%ghost
* Thu Mar 13 2003 - lmuelle@suse.de
- add security patch for the client side, #25140
- remove check for existence of sysconfig and smb.conf from smbfs init script
* Wed Mar 12 2003 - lmuelle@suse.de
- add security patch from SuSE Security Team, #25140
- cleanup init scripts try-restart part
* Mon Mar 10 2003 - lmuelle@suse.de
- add fix to samba-nds.schema provided by Jochen Schaefer <jschaef@SuSE.de>
- add fixes for winbind caching and uid handling , smbpasswd, smbd and TDB
  handling
* Sun Mar 09 2003 - kukuk@suse.de
- Use getent in smbadduser
* Fri Mar 07 2003 - ro@suse.de
- remove mminimal-toc from CFLAGS (ppc64)
* Thu Mar 06 2003 - kukuk@suse.de
- Add xinetd config file [Bug #24682]
* Thu Mar 06 2003 - kukuk@suse.de
- Remove cyrus-sasl from neededforbuild
* Mon Mar 03 2003 - lmuelle@suse.de
- add header files to samba package for squid, #24235
- remove rc_reset from status part of nmb init script
* Mon Feb 24 2003 - lmuelle@suse.de
- update samba-vscan to version 0.3.2a
* Tue Feb 18 2003 - lmuelle@suse.de
- add separate binaries to PreReq
- add /bin/grep to PreReq of the client package
- move README to client package and inform about the new doc package, #23838
- fix %%post in case of update
- fix nmb init script, #23854
* Mon Feb 17 2003 - lmuelle@suse.de
- add appropriate suffix to example smb.conf of documentation
- add example to auto mount or umount CD drive to smb.conf
- add -s ${SMB_CONF} to all startproc calls in init scripts
* Fri Feb 14 2003 - lmuelle@suse.de
- call SuSEconfig -module samba if packages with binaries are installed via rpm
- only insserv nmb depending on an active smb service, if we update from a
  version before SuSE Linux 8.1
- add meta data to sysconfig file
- add appropriate suffix to README
- update samba-vscan to version 0.3.2
- split libsmbclient and libsmbclient-devel package from samba-client
- add msdfsproxy and ldaprebind patches from Guenther Deschner <gd@suse.de>
* Wed Jan 29 2003 - kukuk@suse.de
- Remove samba-doc requires from samba-client
* Wed Jan 15 2003 - ro@suse.de
- use fPIC in samba-vscan
* Wed Jan 15 2003 - ro@suse.de
- use sasl2
* Wed Jan 15 2003 - ro@suse.de
- added logrotate config
- added patch to work around glibc defining st_atime as macro
* Fri Dec 13 2002 - ro@suse.de
- updated neededforbuild
* Thu Dec 12 2002 - lmuelle@suse.de
- update samba to version 2.2.7a
- update samba-vscan to version 0.3.1
- move tdb tools to client package
- move smbldap-tools from examples/LDAP to a new package
- move samba.schema to /etc/openldap/schema
* Fri Nov 22 2002 - lmuelle@suse.de
- fix some broken literals in samba-svan and nettime
- split documentation to samba-doc subpackage
- move provides smbfs to samba-client package
* Wed Nov 20 2002 - lmuelle@suse.de
- update samba to version 2.2.7; this includes the security fix for the
  broken password length handling
- update samba-vscan to version 0.3.0
- remove superfluous aclocal, autoconf and libtoolize calls
* Fri Nov 08 2002 - lmuelle@suse.de
- use rc_exit, not exit at the end of the smbfs init script, #21641
* Wed Nov 06 2002 - lmuelle@suse.de
- remove check and Required-Start for nmb in smbfs init script, #20793
  move nmb from Required-Start to X-UnitedLinux-Should-Start
  add section about smbfs and nmb service to README.SuSE
- add fix for s390 interface handling, #15717
* Tue Nov 05 2002 - lmuelle@suse.de
- add security fix for wrong passwd len handling
* Sat Oct 19 2002 - lmuelle@suse.de
- update to version 2.2.6
* Thu Oct 17 2002 - lmuelle@suse.de
- generate version suffix UL or SuSE as required from Samba team
* Wed Oct 16 2002 - lmuelle@suse.de
- add improved ACL mapping patch, #19494
- remove check_nmbd and rc_reset from smb init script status part, #20921
- also remove check_nmbd from winbind and smbfs init scripts
* Tue Oct 08 2002 - lmuelle@suse.de
- add improved ACL mapping patch, #19494
- set syslog = 0, log level = 1 in smb.conf, #20411
- switch to RFC 3330 conform example IP addresses in smb.conf
- remove character set and client code page from smb.conf, #20378
* Thu Sep 26 2002 - ro@suse.de
- remove hang in smbfs init script (#20204)
* Wed Sep 25 2002 - agruen@suse.de
- WinNT compatibility fix in the improved ACL mapping
* Mon Sep 23 2002 - lmuelle@suse.de
- add ACL mapping fixes from Andreas Gruenbacher <agruen@suse.de>
- put SAM related binaries in extra subdirectories
- set TMPDIR to /var/tmp in smb init script
- create classic and ldap sudirectories for the binaries to get usual
  process names
- remove runlevel 2 from Default-Start of smbfs; add nmb to Required-Start
- warn if nmbd is not running while start of smb, smbfs and winbind
- drop rcsamba
* Thu Sep 12 2002 - lmuelle@suse.de
- add missing user information if nmbd is reloaded
- add root to write list of print$ in default smb.conf
* Thu Sep 12 2002 - lmuelle@suse.de
- add check for ready cupsd if CUPS is active and Samba using CUPS as
  printing system
- remove ACL fixes, #19494
* Wed Sep 11 2002 - lmuelle@suse.de
- add winbind to X-UnitedLinux-Should-Start of smb init script
* Tue Sep 10 2002 - lmuelle@suse.de
- intergrate ACL fixes from Andreas Gruenbacher <agruen@suse.de>
- split smb in two (smb and nmb) init scripts
- fix Required-Start of smb and winbind init script
- include most parts of two mostly printing related pre 2.2.6 patches
* Mon Sep 09 2002 - lmuelle@suse.de
- check existence of brlock and locking tdb, #18978
- include tdbdump, tdbtest, tdbtool, tdbtorture
- change smb and winbind init script, #18784
* Tue Sep 03 2002 - lmuelle@suse.de
- let SuSEconfig.samba use correct lib subdirectory, #18730
- include printing patch for 2.2.5 from Samba team
- let smb and winbind init script also recognize daemons started before
  an update of the package; workaround for #18784
- include netttime program, #6508
* Fri Aug 30 2002 - lmuelle@suse.de
- replace wrong, left variable in %%post of samba by filename
* Wed Aug 28 2002 - lmuelle@suse.de
- make reload of smbfs init script equal to restart
- remove Should-Start smb in smbfs init script
- create ntadmin group in %%pre of samba
- adjust permission and ownership of /var/lib/samba/drivers
* Wed Aug 21 2002 - lmuelle@suse.de
- fix start of smbfs init script; introduce /etc/samba/smbfstab, #7146
- reinclude lost pdbedit and man page, now part of the client package
- move cupsd to Should-Start in smb, also smb and remove $remote_fs from
  Required-Start in smbfs init script
- rename sysconfig.samba-samba-client to sysconfig.samba-client and use
  fillup_only with -ans due to usage in a subpackage
- force LDAP protocol version 3 during connection establishment
* Tue Aug 20 2002 - lmuelle@suse.de
- add missing PreReq to samba and samba-client, #17979, #17980
- fix status of smbfs init script, #9092
* Tue Aug 20 2002 - lmuelle@suse.de
- fix path to temp file in %%post of samba
- fix %%post of samba-client, rename sysconfig.samba to
  sysconfig.samba-samba-client
* Mon Aug 19 2002 - lmuelle@suse.de
- drop the split in classic and ldap version; introduce etc/sysconfig/samba
  and SuSEconfig.samba instead to get the appropriate binaries, #17691
* Fri Jul 26 2002 - gd@suse.de
- fixed /usr/share/samba in %%files
- moved libsmbclient libraries to samba-client
* Fri Jul 19 2002 - gd@suse.de
- added rediffed start_tls-fix from cvs
- enabled challenge-response-auth for winbind
- removed all references to rc.config
- made cups default printing system for SuSE Linux 8.1
* Thu Jul 18 2002 - link@suse.de
- updated to samba-vscan-0.2.5d
  -- bugfix for F-Prot Daemon and ScannerDaemon
  -- added a sanity check for "grepping" the virus name from
  the output of ScannerDaemon and F-Prot Daemon
  -- init message has been changed when module is loaded
  -- added Makefile fix for x86-64 by Ulricht Hecht
* Tue Jul 16 2002 - uli@suse.de
- link PIC objects into examples/VFS stuff (fixes x86-64)
* Tue Jul 16 2002 - kukuk@suse.de
- Don't use macros for Version:
* Mon Jul 15 2002 - gd@suse.de
- update to version 2.2.5 (mainly done by Lars Mueller <lmuelle@suse.de>)
- added samba-vscan 0.2.5a as subpackage
- link against acl and attr library
- added winbind-init script, rewrote smb-init script
- updates, clean-ups in smb.conf and more examples
- added patch for pdbedit to handle script based LDAP account creation
  and make deletion of only SAM LDAP entries possible and added a -b option
  for pdbedit to allow stdin password changes (patch by lmuelle@suse.de)
- fixed smbadduser script patch (bug #15562)
- split the samba-package into a classic and a ldap-version:
  thus you need in either case samba/samba-client, then you choose
  between samba-classic/samba-classic-client for the common smbpasswd-backend
  or samba-ldap/samba-ldap-client to support the ldapsam-backend.
- added README.SuSE
- added link to make using_samba accessible from swat
- no sgid for printer-drivers-dir
* Fri Jun 14 2002 - meissner@suse.de
- rerun auto* tools, use -mminimal-toc on ppc64.
* Fri Mar 08 2002 - kukuk@suse.de
- Add libsmbclient.so.0 and /usr/share/samba to filelist
* Thu Feb 14 2002 - adrian@suse.de
- install needed header file for libsmbclient.so
* Sun Feb 10 2002 - kukuk@suse.de
- Don't test for -fpic if PICFLAG is already set
* Thu Feb 07 2002 - lmuelle@suse.de
- Update to 2.2.3a, minor bugfix release
* Thu Feb 07 2002 - lmuelle@suse.de
- Update to 2.2.3
- Fix smbsh library search path
- Removed 'kernel oplocks = No' from smb.conf; default is yes
- Include pam_smbpass, syslog, utmp, and winbind support
- Include libsmbclient
- Include findsmb
* Tue Jan 08 2002 - egmont@suselinux.hu
- Cosmetical changes in init scripts
* Thu Dec 20 2001 - ro@suse.de
- removed START_SMB and added insserv_macros
* Sun Sep 23 2001 - lmuelle@suse.de
- Shorten output and tunig of old configuration files handling
 - Include SID and secrets files to old configuration files handling
 - Move netlogon and profiles directories to /var/lib/samba
 - Move smbpasswd binary and man page to samba-client package
 - Introduce additional sym link from /etc/init.d/smb to rcsamba due to
  too many typos and cleaner systematic
 - Add character set = ISO8859-15 and client code page = 850 to smb.conf
  in the global section to enable correct UNIX <-> DOS character
  mapping for west European languages
 - Change create mask of home section to 0640, directory mask to 0750;
  change create mask of printers section to 0600 in smb.conf
 - Move path of printers section to /var/tmp
* Fri Aug 24 2001 - lmuelle@suse.de
- Move all configuration files to /etc/samba
- Move data bases to /var/lib/samba; important, cause boot script
  cleans up /var/lock/samba
- Move pid files to /var/run/samba
- Link against cups library
- Use build root
- Rename subpackage smbclnt to samba-client
- Move /usr/share/doc/packages/samba to package samba-client
- Move /usr/lib/samba/scripts to /usr/share/samba/scripts
- Move /usr/lib/samba/codepages to /usr/share/samba/codepages
- Move /usr/lib/samba/swat to /usr/share/samba/swat
- Move /usr/lib/samba/VFS/* to /usr/lib/samba
- Remove smb.conf from package samba, kept in samba-client
- Remove redundant html documentation of man pages
- Remove superfluous install and uninstall scripts
- Add example configuration file /etc/samba/smbusers
- Update to 2.2.1a: fixes bug with too strict name handling while adding
  a machine into a domain
- Update to 2.2.1: add pam password changing and pam restrictions code;
  printer driver management improvements (delete driver); fix for Samba
  running on top of Linux VFAT ftruncate bug
* Tue Aug 14 2001 - ro@suse.de
- Don't use absolute paths to PAM modules in PAM config files
* Wed Jun 27 2001 - ro@suse.de
- re-added the libtoolize to make it build
* Tue Jun 26 2001 - lmuelle@suse.de
- Update to 2.2.0a fixes remote file create/ append bug. This may
  only happen by '%%m' macro usage for the 'log file' command.
- spec and dif cleanup
- Include VFS module support.
* Wed Jun 13 2001 - ro@suse.de
- fix to build with new autoconf
* Wed May 30 2001 - ro@suse.de
- config-dist.sh: accept any kernel version on s390
* Thu May 10 2001 - bodammer@suse.de
- initscript fix: don't start smbd in runlevel 2 [bug #8046]
- some additional files included to doc (COPYING, README, ..)
* Wed May 09 2001 - uli@suse.de
- bzipped tarball
* Tue May 08 2001 - schwab@suse.de
- Don't use _syscallX.
* Mon Apr 30 2001 - ro@suse.de
- added config-dist.sh to build only on 2.4 machines
  (samba configure seems braindead enough to check
  the running kernel)
* Mon Apr 30 2001 - ro@suse.de
- removed kerberos support: does not work as expected
* Tue Apr 24 2001 - lemsi@suse.de
- for 7.2 we have added some kerbereos 5 support
* Tue Apr 24 2001 - lemsi@suse.de
- new version samba 2.2
- new spec file with more functions for configure
- libnss_winbind.so support for /etc/nsswich.conf
* Wed Apr 18 2001 - lemsi@suse.de
- new security fixes and version 2.0.8 for 6.3, 6.4, 7.0, 7.1
* Tue Apr 17 2001 - lemsi@suse.de
- new rcsmb script
- include security fixes
* Fri Mar 09 2001 - ro@suse.de
- don't mess with os_install_post
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Wed Feb 07 2001 - schwab@suse.de
- Fix LFS support in client.
* Mon Feb 05 2001 - schwab@suse.de
- Compile with -D_GNU_SOURCE and -D_LARGEFILE64_SOURCE to get missing
  declarations.
- Include <sys/types.h> when checking for ino64_t.
- Include <crypt.h> for crypt declaration.
* Wed Jan 31 2001 - lemsi@suse.de
- added codepages in smbclnt-subpackage
- changed german coments to english coments
* Wed Jan 03 2001 - lemsi@suse.de
- changed in the share section the path /cd to /cdrom
- added smb.conf to the smbclnt-subpackage
* Tue Nov 28 2000 - kukuk@suse.de
- Fix init scripts and move them to /etc/init.d
- Fix post/postun section for subpackages
* Fri Nov 24 2000 - bodammer@suse.de
- rcscript update
* Mon Aug 28 2000 - choeger@suse.de
- changed $* to "$@" in mount.smbfs to make it also
  possible to mount shares with spaces
* Mon Jul 31 2000 - choeger@suse.de
- improvement for rcsmb
- fix for spec-file to compile with NIS netgroups
* Thu Jul 20 2000 - choeger@suse.de
- added smbfs initscript that has been removed
  by an error
* Tue Jul 11 2000 - choeger@suse.de
- split package into client and server parts
  client package name: smbclnt
* Wed Apr 26 2000 - choeger@suse.de
- new version, 2.0.7
* Thu Apr 06 2000 - ro@suse.de
- removed pam,cracklib from neededforbuild: build handles this
* Wed Apr 05 2000 - bk@suse.de
- s390 team added config.{sub,guess} update macro for s390
* Mon Mar 27 2000 - choeger@suse.de
- fixed bug in specfile
  the multilined configure call missed a "\" :-(
* Thu Mar 09 2000 - choeger@suse.de
- fixed typo in specfile
* Wed Mar 01 2000 - choeger@suse.de
- added %%{_mandir}
* Tue Feb 08 2000 - choeger@suse.de
- removed /sbin/init.d/smbfs because it is no longer needed
* Mon Jan 03 2000 - choeger@suse.de
- bugfix for ipc.c
  to make roaming profiles work again.
* Tue Nov 30 1999 - choeger@suse.de
- changed kernel oplocks = off to
  kernel oplocks = false
* Tue Nov 16 1999 - choeger@suse.de
- added kernel oplocks = off in smb.conf
* Fri Nov 12 1999 - choeger@suse.de
- new version, 2.0.6
* Fri Nov 05 1999 - choeger@suse.de
- Fix for the smbmount lost-connection problem
  _seems_ to work...
* Fri Oct 29 1999 - choeger@suse.de
- removed comment sign in /etc/inetd.conf for swat
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 10 1999 - fehr@suse.de
- set execute permissions for mksmbpasswd.sh and changesmbpasswd.sh
* Thu Jul 29 1999 - fehr@suse.de
- fixed typo in /sbin/init.d/smbfs
* Thu Jul 22 1999 - fehr@suse.de
- changed to new version 2.0.5a
* Wed Jul 21 1999 - fehr@suse.de
- changed to new version 2.0.5
* Tue Jul 20 1999 - fehr@suse.de
- install /sbin/init.d/smbfs
- changed to new version 2.0.5pre4
* Mon Jul 19 1999 - fehr@suse.de
- add /sbin/init.d/smbfs
- changed to new version 2.0.5pre3
* Fri Jul 02 1999 - fehr@suse.de
- removed "umount -a -t smbfs" from start sscript
* Tue Jun 22 1999 - kukuk@suse.de
- 2.0.4b changed default values, enable PAM again
* Fri Jun 18 1999 - kukuk@suse.de
- changed to new version 2.0.4b
* Mon Jun 14 1999 - kukuk@suse.de
- Enable PAM, add samba.pamd
* Mon May 03 1999 - fehr@suse.de
- add umount -a -t smbfs to shutdown sequence of samba
* Thu Mar 11 1999 - ro@suse.de
- smbmount: define NR_OPEN to 1024 if undefined (GLIBC-2.1)
* Wed Mar 10 1999 - choeger@suse.de
- some enhancements for smb.conf
* Wed Mar 10 1999 - choeger@suse.de
- new version 2.0.3 and smbmount now seems to work
* Tue Mar 09 1999 - ro@suse.de
- use samba-2.0.2 for STABLE
- use smbfs-2.1 with kernel 2.2.2
* Sun Feb 28 1999 - ro@suse.de
- for glibc-2.1 strncat uses strcat for one subcase, so don't
  redefine strcat to "ERROR" for glibc-2.1
* Mon Feb 15 1999 - fehr@suse.de
- fix for umount problem from Volker
* Tue Feb 09 1999 - fehr@suse.de
- changed to version 2.0.2 of samba
* Fri Jan 15 1999 - bs@suse.de
- replaced /sbin/init.d/smb with newer style version (again)
* Fri Jan 15 1999 - fehr@suse.de
- switched to new version 2.0.0
* Wed Jan 13 1999 - bs@suse.de
- fixed entry in inetd.conf
* Wed Jan 13 1999 - bs@suse.de
- replaced /sbin/init.d/smb with newer style version
* Mon Jan 11 1999 - vl@suse.de
- make 2.0.0beta5 package of samba
* Mon Aug 24 1998 - vl@suse.de
- changed to version 1.9.18p10
* Mon Jun 29 1998 - vl@suse.de
- changed to version 1.9.18p8
* Mon Apr 20 1998 - vl@suse.de
- changed to version 1.9.18p4
* Thu Feb 19 1998 - vl@suse.de
- changed to version 1.9.18p3
* Tue Feb 03 1998 - vl@suse.de
- changed to version 1.9.18p2
- fixed some problems in spec-file, some files were missing :-(
- fixed smbfs-2.0.2/Makefile.Linux
* Tue Jan 13 1998 - vl@suse.de
- changed to version 1.9.18p1
* Fri Jan 09 1998 - vl@suse.de
- changed to version 1.9.18
* Tue Dec 02 1997 - bs@suse.de
- disable samba by default in /etc/rc.config
* Mon Oct 06 1997 - fehr@suse.de
- package prepared for automatic building
* Mon Sep 29 1997 - fehr@suse.de
- updated to version 1.9.17p2 due to security hole.
* Wed Jul 16 1997 - fehr@suse.de
- add fillup-template for rc.config and install it in doinst.sh
* Fri Jun 27 1997 - bs@suse.de
- update to smbfs-2.0.2, due to security hole.
* Tue Jun 17 1997 - fehr@suse.de
- changed init-skript to recognize entry START_SMB of rc.config
* Mon Jun 02 1997 - vl@suse.de
- update to version 1.9.16p11
- Starting Samba from /sbin/init.d, not from inetd.conf
* Sun Feb 02 1997 - vl@suse.de
- update to version 1.9.16p10
- Adapted /etc/smb.conf.sample to 4.4.1 manual
* Thu Jan 02 1997 - florian@suse.de
- update to version 1.9.16p9
- configuration file is now /etc/smb.conf
- smbd and nmbd are now in /usr/sbin
- added start-script /sbin/init.d/smb and entry in /etc/rc.config
* Thu Jan 02 1997 - florian@suse.de
- Update auf neue Version 1.9.16p6.
